commit 8dfeddb3a679d2f6fdb1ae01f8eee77c9bec7edd
Author: John Ehresman <jpe@wingware.com>
Date:   Tue Apr 22 08:06:16 2014 -0700

    Version bump
    
    Change-Id: I2851b9fa2af6781cddd40bd364ed4a42f5211004
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 4c5cc426a4841657d25b70df4080c220ed16bb7c
Author: Pankaj Pandey <pankaj86@gmail.com>
Date:   Sun Sep 29 18:33:55 2013 +0530

    Fix PYSIDE-190
    
    QCoreApplication would deadlock on exit if the global
    QThreadPool.globalInstance() is running a QRunnable with python
    code because the destroyQCoreApplication function would not
    release the the GIL which `delete`ing the QCoreApplication.
    
    Change-Id: I7b8a3bbd33f86050368a9357fa93e25a642b4ac5
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 10ce3bcbcdcb7e846c21c3f4055968a33124fd01
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Aug 7 13:32:37 2013 -0400

    Fix shadowed virtuals
    
    Change GlobalReceiver to explicitly 'use' [dis]connectNotify of the base
    class in order to avoid hiding these with its own overloads. This fixes
    the only (current) -Woverloaded-virtual warning.
    
    Change-Id: I364b9939f9078029861054051148c319071fbbe1
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 79d3792cae3f2b6e97ee4f41974d51dfec94a9bc
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Aug 7 13:30:42 2013 -0400

    Avoid narrowing conversion
    
    Add explicit casts when initializing an int[] using {}'s, as required by
    C++11 to be "well formed". This fixes the only (current) -Wnarrowing
    warning.
    
    Change-Id: I7f190549a8a54a9061678a926d5478256c2084be
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 80a58c4b0bdf0f3273957c72b3a77f4fae442432
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Wed Aug 7 13:26:24 2013 -0400

    Fix bug PYSIDE-172: multiple rules for file
    
    Remove moc_qpytextobject.cxx from the list of Shiboken-generated files,
    as it is properly generated by MOC, and being in both places causes some
    generators (e.g. Ninja) to be unhappy about having multiple rules that
    (claim to) generate it.
    
    Change-Id: I2458502852f792661120f561a59ad9a198286005
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 14976792ee1360c02b43e12d246b4de2ebdfd8a3
Author: Joel B. Mohler <jmohler@gamry.com>
Date:   Mon Jan 20 12:38:32 2014 -0500

    use file system encoding instead of assumed 'ascii'
    
    Task-number: PYSIDE-211
    Change-Id: I4233d093cf2abe1eeb006fd836c10d1ddcbc9858
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: Christian Tismer <tismer@stackless.com>
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit d2a47ab8f27af7e74d34797464da85c128c17c37
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Wed Jul 24 15:19:22 2013 +0200

    Register qt.conf in Qt resource system to override the Qt builtins
    
    Register qt.conf in Qt resource system to override the built-in
    configuration variables if there is no default qt.conf in
    executable folder and qt.conf was not already registered in Qt
    resource system
    
    Change-Id: Ibed9f9e791dab575ef26bc54b351e5f5d4870542
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit a12de51b654973d965b1888b4dd3c539422f71db
Author: John Ehresman <jpe@wingware.com>
Date:   Sun Jul 21 18:04:50 2013 -0400

    Bump version number to 1.2.1
    
    Change-Id: Icc64a1b0f63ae05f897a210664fdb41b4f9746c4
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 817a5c9bd39d3a22e2a7db9aa497059be57d58d7
Author: Joel B. Mohler <jmohler@gamry.com>
Date:   Thu Jul 11 11:40:05 2013 -0400

    add diagnostics and fallbacks for frozen distributions
    
    Change-Id: I519c912999283bf7e07f8d34201f9e67c7d6216e
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit c78e245477852092fd9231061b521ce03d8aafcd
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Wed Jul 10 22:40:02 2013 +0200

    Fixed licenses
    
    Change-Id: I55b76b47b1dca0ea290f633b1de070bb8d6995e1
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 0f36142d2aa524c2a7389f124aa6bbbbe052e7f7
Author: John Ehresman <jpe@wingware.com>
Date:   Fri Jun 28 10:28:40 2013 -0500

    Bump the library version number to 1.2
    
    Change-Id: Ibf0cf933d9922a4ca0e79e910f979d52c675301e
    Reviewed-by: Roman Lacko <backup.rlacko@gmail.com>
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit d93b050d10ae55c931ed9bf54f586a30b3d1a4dd
Author: John Ehresman <jpe@wingware.com>
Date:   Sat Jun 29 10:20:23 2013 -0500

    Set up PYTHONPATH for tests correctly
    
    Change-Id: I1136418671fc06310310551ad5631ef1aa4b8b32
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit ed4751735b341a771e88ece21e2a98301cabe313
Author: John Ehresman <jpe@wingware.com>
Date:   Sat Jun 29 13:42:41 2013 -0500

    Fix potential segfault at shutdown
    
    Check Py_IsInitialized() in PyObjectWrapper destructor, which
    can be called after interpreter shutdown
    
    Change-Id: If9570d14a35ac3419a81846a59d972015205a858
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit 3683caf30ca60b273070d9f7e50cf2c2efc7e110
Author: Stefan Landvogt <stefan@valvesoftware.com>
Date:   Fri Jun 28 15:27:56 2013 -0700

    Fix PYSIDE-61
    
    The original author of the test did not know how to create
    one webview after the other after one webview finished loading,
    so the old approach segfaulted, because it tried to access variables
    that were already freed.
    
    The new approach simply creates webviews with a timer after the
    previous webview finished loading. It is also using UsesQApplication
    instead of creatig the qApp manually.
    
    Change-Id: I871e7a238398d96e110e89872634a9c5f3b5bc12
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit c707a7cadd08792d8f9dc23d83fc9a27ba7a7656
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Fri May 31 08:34:14 2013 +0200

    Tell Qt to look for qml imports in the PySide package
    
    Change-Id: Ia7565955f8a3b58c8c57631e13bb56a2793b702a
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit e35d8904491e9ded4e64c9156e5e9f2b777b399f
Author: Matthew Woehlke <matthew.woehlke@kitware.com>
Date:   Tue Jun 11 17:20:28 2013 -0400

    fix build in C++11 mode
    
    Add spaces between string literals and preprocessor symbols. These are
    required because C++11 defines string prefix and suffix operators, and
    confuses preprocessor tokens adjacent to string literals as unrecognized
    string literal modifies, resulting in compile errors.
    
    Change-Id: I70f4efca0acb6d2ee03327c0afbc56fe7d82c2a3
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit be2b62c13228c58d807a91e5912228cce65c1478
Author: John Ehresman <jpe@wingware.com>
Date:   Sat Jun 15 13:36:40 2013 -0400

    Fix QByteArray memory leak
    
    QByteArray leaked memory when constructed from Python 2 str
    
    Change-Id: I0e2ea21ba1bd32d9519704baa7dd42e5224e9ed3
    Reviewed-by: John Cummings <jcummings2@users.sf.net>

commit bf988374249370a9005ff751ac468f838da4753d
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Wed May 22 09:17:38 2013 +0200

    Ignore QtCore import errors when initializing plugins folder
    
    Change-Id: If7612f97bb03f353d644b26767b3867f04d17fff
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 188e960e496ad31839ab879e139c4f1cf9f10656
Author: Teemu Kaukoranta <teemu.kaukoranta@digia.com>
Date:   Mon May 27 12:18:57 2013 +0300

    Replaced Nokia copyrights and contact details
    
    Replaced Nokia copyrights with correct Digia copyrights.
    Text in front of copyright is now retained:
    ** File is part of Foo, Copyright Nokia... ->
    ** File is part of Foo, Copyright Digia...
    Replaced Nokia contact details with Digia's.
    Removing "All Rights Reserved" no longer leaves an empty line.
    
    Used the following command:
    
    find . -path '*/3rdparty/*' -prune -o -exec grep -ilI -E
    '.*Copyright.*Nokia.*|.*Contact.*' {} \; | tee >(xargs sed -i -r
    '1,50 { /INdT|copy[a-z]*[ ]*=/ !{ s/(^[ \t:#*]*)([a-z ]*)
    (Copyright.*Nokia.*)/
    \1\2Copyright \(C\) 2013 Digia Plc and\/or its subsidiary\(-ies\)\./I
     }}') >(xargs sed -i -r '1,50 s/(^[ \t:#*]*)(.*info@qt\.nokia\.com.*
    |.*INSERT EMAIL ADDRESS.*|.*qt-info@nokia\.com.*
    |.*qt-label1@nokia\.com.*|.*http:\/\/qt\.nokia\.com\/contact.*
    |.*qt-sales@nokia\.com.*|.*http:\/\/www\.qt-project\.org\/.*)/
    \1Contact: http:\/\/www\.qt-project\.org\/legal/I')
    >(xargs sed -i -r '1,50{/(^[ \t:#*]*)(all rights reserved.*)/Id}')
    
    Command now finds command details that point to qt-project.org and
    changes them to qt-project.org/legal
    Also no longer wrongly replaces code snippet "copyright = ..". Need to
    fix these case-by-case later.
    
    Change-Id: I4456c00202c4a2264a400bdc18c19cd097876861
    Reviewed-by: Sergio Ahumada <sergio.ahumada@digia.com>

commit fa2e571b6c68aa9439a88fc7ab441b6e091268df
Author: Teemu Kaukoranta <teemu.kaukoranta@digia.com>
Date:   Mon May 20 15:26:59 2013 +0300

    Fixed licenses
    
    License fixed using replace-licenses.zsh from mkdist repo.
    Possible copyright and contact changes will come later.
    
    Change-Id: I18b977ac33f1b00e99fa7aae6c1a824769ce5f6e
    Reviewed-by: Janne Anttila <janne.anttila@digia.com>
    Reviewed-by: Sergio Ahumada <sergio.ahumada@digia.com>

commit a6785ad13fc096c60b2fc38d4220010ae708743a
Author: Robin Dunn <robin@alldunn.com>
Date:   Wed May 15 17:05:08 2013 -0700

    Preload OpenSSL DLLs on Windows.
    
    Add code to _setupQtDirectories that will preload the OpenSSL DLLs if
    they are included in the PySide package.  It uses a trick of temporarily
    modifying the PATH so Qt's QSystemLibrary will be able to find them.
    
    Change-Id: I67b56642ef74444f19806b52c6a1080dc6d92996
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit 72ab0b07c8be82802371aa6a934261a5a1eb237e
Author: Robin Dunn <robin@alldunn.com>
Date:   Mon May 6 10:37:51 2013 -0700

    Look first in the PySide package for Qt's plugins folder,
    
    instead of just in Qt's install or build folder.  Only do it if the path
    exists in the PySide package, and if it's not already on the search path.
    
    Change-Id: I5a8ec8724cad2cb011e7e1c364c82a8b87289c5c
    Reviewed-by: John Ehresman <jpe@wingware.com>

commit d1fe29fc819d949b1347c961eb20a6733e59f382
Author: Roman Lacko <backup.rlacko@gmail.com>
Date:   Wed Jan 16 16:00:19 2013 +0100

    Add explicit type conversion to fix mingw compile error
    
    Change-Id: Id15e68fc34fd8fbb386794f04039a23766691cfe
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit b3669dca4e4321b204d10b06018d35900b1847ee
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Dec 20 17:26:29 2012 -0500

    Use QObject property to invalidate wrapper before deletion.
    
    Define a getWrapperForQObject function to create / find
    wrappers for QObject derived objects.  It sets a property
    so that an invalidate function can be called when the QObject
    property is cleared in the QObject destructor after all destroyed
    signal handlers have been called.  Requires a change to shiboken
    to generate calls to the getWrapperForQObject function.
    
    Change-Id: I4ed548af114bf7176e8e8255a3ea70549c35d74c
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit aeccd2a05bba8c94a3a338370f16af1d545e8abd
Author: John Ehresman <jpe@wingware.com>
Date:   Thu Dec 20 11:57:15 2012 -0500

    Invalidate metaObject wrapper before deletion
    
    Change-Id: I95d3f8dd4a8473849ca19b5c8d5d59dee4c42991
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 6df4b307c5aec758ad954ab8717f5e85b44e2ae5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 11 10:32:04 2012 -0300

    Fix reference leak on convertion from a C++ map type to Python dict.
    
    Patch by Dennis Victorovich.
    
    Change-Id: I050da20f6c0bef2f568aefcc81a9a159a412be24
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 5f72daadde1b99305d3e28da0952958581439414
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 28 17:30:14 2012 -0300

    Change the order of pysitetest and signals directories because signals/disconnect_test.py depends on pysidetest module.
    
    Change-Id: I31e9fa50cd36979b4843c8c12e3d0680dba2135e
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 9fdaf2aad6f5472d42a3b74a4fd22cc63f548f1a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 28 17:14:45 2012 -0300

    Version bump to 1.1.2
    
    Change-Id: If67468b046da795ddf2253779f56b027a138b14e
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit ea6575953822193df672e5fe132f3aa9298e0536
Author: John Ehresman <jpe@wingware.com>
Date:   Wed Jul 18 14:17:49 2012 -0400

    During signal emission don't get return type after callback
    
    The callback can disconnect the slot, causing the C++ object for
    the connection to be deleted. Accessing the return type would then
    read already freed memory.
    
    Change-Id: Ib33fa806978793bcac42167dd45f1e59829a3104
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 1cea6192fa32fee29ae64cdc2bda1414e6a443bd
Author: John Ehresman <jpe@wingware.com>
Date:   Mon Jun 18 17:52:22 2012 -0400

    Invalidate invisibleRootItem in clear() method
    
    Fixes PYSIDE-56
    
    Change-Id: If0529a289e6d9613fdd85bd9d37ccf438d4e92ca
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit c00a1f7ffd313d7e0363a1d386d2bd6e7db3feb6
Author: John Cummings <jcummings2@users.sf.net>
Date:   Thu Jun 14 16:10:56 2012 -0500

    Optimize vector to pylist conversion
    
    Incorporate changes from Shiboken change I5f0c93b7
    Note switch to push_back() should allow the template to work
    for both QVector and std::vector.
    Likewise, using size_type should avoid compiler warnings.
    
    Change-Id: I4742aa9030e1bfa2e070f4b6f71d124d3c99749d
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit ee9cda9b0bbe877d303d9838ce0af5623b484abb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 14 15:27:58 2012 -0300

    Add missing unit test.
    
    Change-Id: Ia8442dd910c52a892767a49a339c63fec6fbf3c0
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 30062e0944bf1a089d92f341f8a6b58dc6b3ba7f
Author: John Cummings <jcummings2@users.sf.net>
Date:   Fri Jun 1 17:06:28 2012 -0500

    Fixed template name typo
    
    Fixed typo of template names by changing "convertion" to "conversion"
    Fixed all usages of incorrect name
    Note that this change is not backwards compatible if using the
    misspelled names in user code.
    
    Change-Id: Ie34e0ef8cc23362c8efb2d6bf1ec9779d6e4c42b
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit ee95e881929b3b51e535ad9024025cc7ac91d57c
Author: John Cummings <jcummings2@users.sf.net>
Date:   Fri Jun 1 15:29:38 2012 -0500

    Improved QVector to python conversion
    
    Added pyseq_to_cppvector_conversion template that calls
    reserve() with the sequence size to reduce memory reallocations
    Changed QVector conversion to use new the template
    
    Change-Id: I099ab15d5f725499218e2ed081a325246aa5b902
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit a090ae9340b6ef8b135919c69ca377f763e138ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri May 4 14:25:31 2012 -0300

    Do not always try to remove bytecode version of the test.
    
    Trying to remove the bytecode file doesn't work if it wasn't created
    in the first place.  This can happen for example under Gentoo, where
    bytecode is disabled while building packages to avoid sandbox
    violations when Python tries to write a bytecode file for an
    already-installed module outside the package build directory.
    
    Change-Id: I4cbd63527479365e6f201d3fc51c576f55830680
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit a9141c494501f627ee111fa717e1a356cfe1fc8b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 20 17:05:54 2012 -0300

    Fix bug 1041 - "QAbstractItemModel has wrong ownership policy for selectionModel()"
    
    Change-Id: I1dbe6d3cd69774dfa18f15d83794396f17b769f0
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit c0c336399c0e30b1d7de52980b48c1ff0043860a
Author: Jason McCampbell (Enthought, Inc) <jmccampbell@enthought.com>
Date:   Thu Mar 15 16:03:46 2012 -0500

    Bug pyside-35: GIL was not acquired in several important places.
    
    Change-Id: I876732f90690d9679537611e9a71e33aa3a4e4e3
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit 6f93c2029e9f076de1be7d8f674b3c99f664d0a1
Author: Alexander Jones <aj@dneg.com>
Date:   Wed Apr 18 21:51:15 2012 +0100

    Add hash-function for QModelIndex and QPersistenModelIndex
    
    Change-Id: I2725e78a1006fbee54894f202997e2e408998551
    Task-number: PYSIDE-41
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit f011ce2cb9e2b93a748874de007232ec88cc8ac1
Author: Juhapekka Piiroinen <juhapekka.piiroinen@gmail.com>
Date:   Mon Mar 5 07:59:41 2012 +0200

    Bug fix for PYSIDE-7
    
    This should resolve the issue in PYSIDE-7 "QDateTime does not support the 6-argument format".
    Added function signature for 6-argument version and a testcase.
    
    Change-Id: I617eefab6a41939c37e2f1bf800857bc2d74b6ee
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit fe8dc36f90fe64590f7f13843a076f8d2d61f378
Author: Juhapekka Piiroinen <juhapekka.piiroinen@gmail.com>
Date:   Tue Mar 6 13:57:16 2012 +0200

    Fix bug PYSIDE-6
    
    This should resolve the issue in PYSIDE-6 "Fix phonon VideoCaptureDevice detection to properly use phonon_ namespace".
    Changed if check in PySideModules.cmake.
    
    Change-Id: Ie30d6858a0fc6073560ec4cd09508504cbeb667d
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit db6f1e3306e626b871d6ed1a971638d106648b51
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 13 14:26:42 2012 -0300

    Fix PySide compilation.
    
    Change-Id: Ie7a30961232526af59cbc21dbf1b58ab9a4e3e7b
    Reviewed-by: Hugo Parente Lima <hugo.lima@openbossa.org>

commit d30a8672c3db038886273d194f5bcdcb19cc29bd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 30 15:31:11 2011 -0300

    Version bump to 1.1.1.

commit afc9a7e10b8fd1816b99628de5be3e84032fca03
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 30 15:30:29 2011 -0300

    Version bump to 1.1.0.

commit a8a07b77f8a781764eef62eb05bfeac864368cad
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 22 21:49:08 2011 -0300

    Declares Python types using the new "<custom-type>" tag.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Paulo Alcantara <pcacjr@gmail.com>

commit 98be0df6a55b45538d107421fd557fb77f8ab92b
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Dec 21 18:51:34 2011 -0300

    Fix BUG #1060 - "Subclassing of QUiLoader leads to "Internal C++ object
    already deleted" exception"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1060.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit b2b14fe9b70cb233b003425328ef1f4d8749c744
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Dec 21 14:57:32 2011 -0300

    Fix BUG #1091 - "PixmapFragment and drawPixmapFragments are not bound"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1091.
    
    Also minor coding style fixes in QtGui's typesystem.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 481ba5aa3ef94b417211fd25f07f30575b5afa68
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Fri Dec 16 18:10:45 2011 -0300

    Fix BUG #1084 - "Crash (segfault) when writing unicode string on socket"
    
    See http://bugs.pyside.org/show_bug.cgi?id=1084.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Trust me

commit 8ddbd3167bba33820b19de36c2dbac83e9e8f55d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 15 14:47:39 2011 -0300

    The temporary file used in the test for bug #829 must not be deleted by the test.
    
    This fixes the test in win32 platforms.

commit 65d8f9fcef98f8a80015cc5e0b7526224332e7ec
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 14 14:14:18 2011 -0300

    Fixes the QSettings related QVariant's save/load bug.

commit 7b8d2925dd61e2cb1edc78bd10cdda2e8ef19bf2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 13 16:58:30 2011 -0200

    Small code style changes.

commit c78b4686a1f98273cf4e730efae32fa7f93ebebd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 12 19:10:07 2011 -0200

    Add GC support to PySide Property type.
    
    This fixes GC errors when running PySide on a Python debug env.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit e76b2b76f51ab643d6e97842ac3d3adc50b6a851
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 12 20:02:38 2011 -0300

    Added type system entries to the primitive types used by QtOpenGL.

commit 2a634aea05487732fe06c2935dc2893f75af79ed
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 12 17:46:37 2011 -0300

    Updated the custom widget plugin to use the new converters.

commit 7bfbbf3cb784f8e22dde74ebe28ba5e5eda4b7db
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Dec 11 23:13:12 2011 -0300

    No more training wheels. The last occurrences of the old template Converter where removed.
    
    Also related fixes here and there.

commit aec20b21a5cfc678c8bd1e017d2300542edfbce7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 22:02:53 2011 -0300

    Added a type system file for Maemo's QtCore.

commit ebeae9d084fc6093d34408a353f2979a654550cb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 20:01:53 2011 -0300

    Fixes custom code for QtCore's HWND on win32.

commit 31804c2adcf5b6939c8c5e133d3ae1f378e67bc5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 18:48:40 2011 -0300

    Qt::HANDLE is declared only in QtCore, and its specifics depend on the architecture.

commit c31c14cdfb5fa31c8e985fb50e8f4d001b7cd0ed
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 18:07:23 2011 -0300

    Fixed QtCore's HWND converter for win32.

commit 879e4bb14d1e17bb34c3793f5e33d7b82563a3f7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 17:50:32 2011 -0300

    Removed the QAbstractVideoBuffer::map method.

commit 6575ac8d39281c1694238fe5341311b27bf24924
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 16:02:16 2011 -0300

    Fixed converter for win32's WId type.

commit 1af53541bf90b74c350d83507932fd694a5c0283
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 5 20:02:07 2011 -0200

    Fix compilation of conversion branch against Python3k.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 2a87b74bfea936691db2eb97a8ab2788277869b6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 1 18:42:47 2011 -0300

    Replaced TypeResolver by SbkConverter and SpecificConverter.
    
    Also updated QtGui's WId conversion to Python 3.

commit 792504f978441d0a7708ebdaabc4b4baf24fdff4
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 1 17:32:48 2011 -0300

    Removed the remaining occurrences of Shiboken::makeTuple.

commit 7b04273736e46ace2d22b568fa7ed4d23944b067
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Nov 30 17:47:35 2011 -0300

    Fixed code for QUdpSocket.readDatagram method to remove usage of Shiboken::makeTuple.

commit 30118e265dbcc536d8ed783ec3f10d56d9cb47c1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Nov 30 16:02:59 2011 -0300

    Fixed code for setting QtCore.__version_info__ to not use Shiboken::makeTuple.

commit 770c8bda73f045ee2bd6261c0eca0c64cd12d2db
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Nov 30 16:00:57 2011 -0300

    Fixed custom code for QScriptValueIterator.__next__ function.
    
    It must not use the convenience method Shiboken::makeTuple, for it makes
    use of the old template based converters.

commit 16f4378fed98a1bd1ef0dd6c4616aa4ce8fa016e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 24 16:47:19 2011 -0300

    Fixes type converter for Win32's HWND.

commit 80c02f16e591d7ebce3a3ea0a5e36e92bd65ba3d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 21 17:43:31 2011 -0300

    Fixes the test for a QFlag value returned in a QVariant.

commit b643a3f8abe68c82b304df4a6644666dc735941c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 21 17:36:06 2011 -0300

    Modified PySideQFlags based on Hugo's design.

commit 8145f2a7e26f8af918ed9a769abe1c5f6a4399ee
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Oct 20 18:07:49 2011 -0300

    Added converter for primitive type QModelIndexList.

commit 25638d3f8089874d924b631a2e0a8a873e415f61
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 17 14:31:33 2011 -0300

    Fixes conversion rule for QGraphicsView::drawItems array argument.

commit 3318a40ab1337e79979ff58814cae5f030db9e75
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Sep 21 11:07:00 2011 -0300

    Some method signatures were removed.
    
    They were removed because used pointers to primitive types without
    proper user defined handling. Future assessment must be done to tell if
    removal is enough, or other changes are needed.

commit ba062e1b89ddee4bb1a4ed28225b2da98d1004b5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Sep 16 19:52:40 2011 -0300

    Updated various function removals and modifications.

commit 3ee5bec24438deb08a45a62559e35528f0f4105c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 31 14:49:57 2011 -0300

    New containers for container types.

commit ae0f62ed80506e744e7c7b9df69cbc0430ed920b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Aug 12 17:52:04 2011 -0300

    New converters for primitive types.

commit 64bec138e1f23659a5004b25b8e15d666e576f85
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 4 14:18:41 2011 -0300

    Added new style conversions for QDate, QTime and QDateTime objects.

commit 1105a5be3a2dc947c1a3106fa5a308090a0a3aec
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 13:39:28 2011 -0300

    Added default constructor to QTextStreamManipulator.

commit 815fae961ff866d3c8e31d7c3401c535085a19f2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Sun Jul 17 23:26:02 2011 -0300

    Turned QStyleOptionViewItem into value type, for it has a public copy constructor.
    
    It is passed around by value in many places, like the return value of
    QAbstractItemView::viewOptions(). I did the same to the variations:
    QStyleOptionViewItemV2, QStyleOptionViewItemV3, etc.

commit 8c1fbc37515715936a90c858352fb9c3d301b1f8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 4 19:46:25 2011 -0300

    Signature of various added and modified functions modified to use non-const references.
    
    The API Extractor signature normalizer removes const& from argument
    types, but it leaves non-const references unchanged.

commit ad8992e9e06735265745decebbf6f2406d37e74d
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Fri Dec 9 17:27:46 2011 +0000

    pysidesignal: more trivial fixes
    
    Fix typos and coding style.
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Marcelo Lira <marcelo.lira@openbossa.org>

commit 41f1c3037231330b48a60f9d3bec62265bcd436b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 9 16:02:47 2011 -0300

    Makes test for QtCore's bug #1063 compliant with Python 3.

commit 720a6f4cadae3e0267749391648ace6ad3357125
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 15:02:46 2011 -0200

    Don't double decref variable causing an assertion error on debug builds.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 48669462d03e2646c659271686cf054777fcbb66
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 8 18:33:54 2011 +0000

    pysidesignal: don't use C's cast
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 66f4ccbe5d1c08886948a67a2dde54e24d81469f
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 8 17:41:27 2011 +0000

    pysidesignal: trivial fixes
    
    Fix typos and coding style
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed-by: Hugo Parente Lima <hugo.pl@gmail.com>

commit 508e59c0910752d6d745a659e792ce91401875b7
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 8 16:11:31 2011 +0000

    Fix BUG #1063
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewed-by: Willer Moreira <willer.moreira@openbossa.org>
    Reviewed-by: Luciano Wolf <luciano.wolf@openbossa.org>

commit 93bb5d777e6db0ba8d2b216832bf4211476c581e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 9 11:21:38 2011 -0200

    Fix bug 1083 - "winId returns a PyCObject making it impossible to compare two winIds"

commit e3814f27dd3975b5be5a2f328353fe7d144ce23b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 6 19:53:07 2011 -0200

    Replace private.py file by an inject code.

commit 2f70b1047116fa262b30562f325dfaefff3daa0d
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Mon Dec 5 15:10:48 2011 -0300

    Fix BUG #1077 - "Application exit crash when call QSyntaxHighlighter.document()"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e2524f6abb6c00695edce5be26a7d6fc7b71c5fe
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Thu Dec 1 13:32:18 2011 -0300

    Fix BUG #1034 - "Error compiling PySide with Python 3.2.2 32bit on Windows"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4985f114a30d5ce0de2a5402d3f2be3d97a93dc4
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Tue Nov 29 17:20:00 2011 -0300

    Fix BUG #1069 - "QtCore.QDataStream silently fails on writing Python string"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 791f70629cd7ce7bad0a864ff59129822f4c66d7
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Tue Nov 29 11:00:41 2011 -0300

    Bumping to revision 1.0.9

commit 8160e529e2d41351fb191e29b999f32c7807b1e8
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Fri Nov 25 15:28:03 2011 -0300

    Fix BUG #1048
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Willer Moreira <willer.moreira@openbossa.org>
              Hugo Parente Lima <hugo.lima@openbossa.org>

commit 45ad11e5be972579f492c142ea3caf79e9bf96fd
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Nov 23 14:34:54 2011 -0300

    Fix BUG #1058 - "Strange code in PySide/QtUiTools/glue/plugins.h"
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Bruno Araújo <bruno.araujo@openbossa.org>

commit e031567fac78e630de5655118097b3f87819e79f
Author: Paulo Alcantara <pcacjr@gmail.com>
Date:   Wed Nov 23 14:08:42 2011 -0300

    Fix BUG #1052
    
    Signed-off-by: Paulo Alcantara <pcacjr@gmail.com>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit e29d2e460bd228ec73f25ebaa870d125d5fb9db4
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Thu Nov 3 16:08:12 2011 -0300

    Fix PYSIDE_LIBRARY in CMake export.
    
    Was hardcoded with Cygwin library name format.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit fbf3a8b07a1ea4cee1c094148a7f530e1cc1269c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Nov 1 17:29:43 2011 -0200

    Remove unused code in bug 844 unit test.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dde75099f284a1c44773501fde77dc17d445028d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Nov 1 17:29:01 2011 -0200

    Fix bug 1029 - "qmlRegisterType Fails to Increase the Ref Count"

commit 64ffc4f61b874e461c559495ece6f963ce5153ee
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Mon Oct 31 13:38:19 2011 -0300

    Fix BUG #1031
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 50bf9a570bebf4856645a086fcfbb11d2e3ae778
Author: Jerzy Kozera <jerzy.kozera@gmail.com>
Date:   Thu Oct 20 21:25:39 2011 +0200

    Fixed compilation error for gcc versions < 4
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit b30e998e659d8e3a0d84fec1b7f2bd3cb0ac55b4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 31 16:29:09 2011 -0200

    Fix phonon unit test when there are device aliases reported by phonon.

commit c230fad4271e04875191c226d3fdd612529ca263
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 31 16:16:14 2011 -0200

    Strip the text received from message handler.
    
    This was needed because now qWarning, etc, are using stream operators
    for security reasons, and those operators add spaces at end.

commit 6fe19dbb88ef590704854f64517d4240ca1206c0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 31 15:12:00 2011 -0200

    Fix bug 1012 - "FTBFS with hardening flags enabled"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8060e3ee872166393a267cbddbdd229b8f608cbb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 28 18:11:10 2011 -0200

    Fix bug 1036 - "Qt.KeyboardModifiers always evaluates to zero"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit b50186e9f3e7bed94707707870e0d9faec828454
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 14 14:00:18 2011 -0300

    Creates QFlags types at runtime.

commit 4ba7cd90d6799400cd3abf8741c0327835e3bdb6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 28 16:46:19 2011 -0200

    Fix bug 1013 - "connect to QSqlTableModel.primeInsert() causes crash"

commit f57d4d4dbc212bb13a28f10932197fc0548c842f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 27 15:01:19 2011 -0200

    Fix bug 1011 - "PySide cygwin patch"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5c076e1c5304fc31f981f9a4e80ce5a6602bbb9c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 26 20:20:22 2011 -0200

    Reduce the memory used by PySideMetaFunction instances.

commit 67d6455fa52921d631001e7938aa7b9fa40b45aa
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 26 20:17:56 2011 -0200

    Unify the code used to do QObject meta calls.

commit 15ceed791f8dda4aa1256e67c11f8a748ce4b7b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 26 18:28:51 2011 -0200

    Fix bug 1016 - "Calling of Q_INVOKABLE method returning not QVariant is impossible..."

commit f55d088d4449f0a4b77ab428442a344790fbecd2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 26 16:23:28 2011 -0200

    Optimize PySide::getMetaDataFromQObject function avoiding some str copies.

commit 07d08797000e52ce2d6e74f9b8a576e14abf1cbd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 26 14:37:28 2011 -0200

    Fix code style and add license headers.

commit 2e1ff21938a1513e95d9d7c6bcfdba79b3ee74cd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 15:46:22 2011 -0200

    Fix unit test of bug 829.

commit 0971ac7c4ff368e0f003a772b9701666c9ac17b0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 20 11:39:51 2011 -0200

    Version bump to 1.0.8.

commit 0e8b50c9b0bf48f068e35586830e2f98a56890d4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 19 16:59:36 2011 -0200

    Fix bug 1019 - "Overriding QWidget.show or QWidget.hide do not work"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit b7f593d99e2c02ddf8bde439df43b98c3d1caa0b
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Wed Oct 19 16:30:36 2011 -0300

    Fix bug 1022 - "RuntimeError: maximum recursion depth exceeded while getting the str of an object"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit 6acb5f9bc77d583f2d9a1fcd896ace193019b4fb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 17 17:45:03 2011 -0200

    Only removes actions bounded to PyObjects on QMenu::clear.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9f05c7dad5e245b7687905ac21fa29a33c6d291c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 5 14:15:31 2011 -0300

    Initial update typesystem for support Qt 4.8 (beta).
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 6c47624e9276061a3b003adea844b5ce12d85486
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Oct 18 15:07:54 2011 -0300

    Fix getTypeName check order.
    
    Was segfaulting for signals with None as an explicit
    argument (returning NULL to a strdup).
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 2683577b7a4fd8bbf61911d50a39bf0301cb12b9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Oct 13 16:18:16 2011 -0300

    Fixes win32's HWND converter.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit ed94eda7981e1fa9a3f1ba29c8eda19a010ba3f6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 10 15:01:38 2011 -0300

    Use sbkpython.h instead of Python.h to avoid problems with Python2.5.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 620b46650ac150b17707aba54512a2fd06fde14c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Oct 10 15:01:03 2011 -0300

    Avoid using uninitialized variable.

commit 7202e2b8df7c499712229dd42a73a6b508fb10a0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 7 19:16:14 2011 -0300

    Fix qglbuffer test on Python3.

commit 1cefc091180ec4cf44e68e2a776ae1b4bc6d189b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Oct 7 15:03:53 2011 -0300

    Fixed unittest to work with python3.

commit b841afdb5c09ab431110b34ee463b95d64557731
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 7 11:23:35 2011 -0300

    Change String::convertible to String::isConvertible.

commit 401651e26c9b86b555893eeb656fe9001803eaae
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Oct 7 15:03:53 2011 -0300

    Fixed unittest to work with python3.

commit 66d96ef4b63065c120e6acb3656ee5b7a69487be
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 18:18:49 2011 -0300

    Updated Cmake files.

commit c33a78cdd4ce584eb8eb6aa03d7c93c54b8b5982
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 15:06:29 2011 -0300

    Slplited python compat file for python 2.x and 3.x

commit 18383549d634d6cb8c52b620426bd8f0543774bc
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:43:55 2011 -0300

    Updated __init__.py file to works with python 2.x and 3.x

commit 6869a49bc389166b307b56efa3a2677325c86247
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:43:05 2011 -0300

    Updated pyside and signals tests to works with python 2.x and 3.x

commit 1874425448ef3331041e5510d7abf8c2ee9ab2c4
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:42:28 2011 -0300

    Updated phonon modue to works with python 2.x and 3.x

commit de291d1d0f7ae4c048bd44b09cd5b32f58f1acf7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:41:57 2011 -0300

    Updated QtWebKit modue to works with python 2.x and 3.x

commit e90255bf7e8fc340cc184cabb65402ca7acf3d4e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:41:23 2011 -0300

    Updated QtUiTools modue to works with python 2.x and 3.x

commit 676b2b579d1f9ebd4300a93fed740f1543154157
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:40:54 2011 -0300

    Updated QtSql modue to works with python 2.x and 3.x

commit f6c818b21d8aa6905e5c4fc5d5c218159ee4ba7b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:40:26 2011 -0300

    Updated QtOpenGL modue to works with python 2.x and 3.x

commit 66a0bbf578ee5f57cb711b284d98dae8c09aa148
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:39:47 2011 -0300

    Updated QtNetwork modue to works with python 2.x and 3.x

commit 1f1fbfbfa8149412f336f86e2a5bff0602a56dd5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:39:08 2011 -0300

    Updated QtScript modue to works with python 2.x and 3.x

commit d9dd3192326d6d36a4123ba3cebfe5d196476fe5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:38:31 2011 -0300

    Updated QtGui modue to works with python 2.x and 3.x

commit edaefbce481634b2f9d5a6e28c2e73db7f958602
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:36:24 2011 -0300

    Updated QtCore modue to works with python 2.x and 3.x

commit 75843bf45a494c37168ff2ee5672490ca1dee9cf
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Oct 6 11:33:59 2011 -0300

    Updated QtDeclarative modue to works with python 2.x and 3.x

commit 1e29ab65924166688e352eaaa099ad571a980c4f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Oct 3 18:49:42 2011 -0300

    Initia QtCore port to python3.

commit a2cb6fe0254a122f0ad9d2ee991d9a249903ee12
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Oct 3 18:48:23 2011 -0300

    Created pyside QFlags compat class.

commit 2e69baa4f5e211d171d243a538f7c587e31b4efa
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Sep 19 16:04:17 2011 -0300

    Fixed compilation with python3.

commit 009aef9f1ba14570c7febc80a9ad21ba2113bc33
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Sep 21 16:59:51 2011 -0300

    Fixes argument and return type of a couple of QtDeclarative methods.
    
    The methods are:
    
    * QDeclarativeEngine::importPlugin(QString,QString,QString*)
    * QDeclarativeExpression::evaluate(bool*)
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 9e8916e111c14e48a1abfd80eb756428943c4f78
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Sep 21 16:58:09 2011 -0300

    Fixes argument and return type for method "QScriptString::toArrayIndex(bool*)const".

commit b94ad1e4de5ce5cbded0b93b5cd3fb01389b2d71
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Sep 21 11:10:23 2011 -0300

    QHostAddress::setAddress(quint8*) signature was removed.

commit 2cec2a118634321c010b4727b219fe7088aa12ec
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 21 11:34:29 2011 -0300

    Version bumped.

commit 6f777cd2271cf23407f330f7695abe081b9bf15b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Sep 20 18:30:58 2011 -0300

    Created unit test for layout policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2db3d80e6cbb7d158ce5ab46e9793d28ed9e66dd
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Sep 20 18:28:29 2011 -0300

    Fixed layout policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f367f0ada3ba2ff8a43470a3972173cf15b40f44
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Sep 19 16:02:35 2011 -0300

    Created unit test for bug #1006.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3a0b98ef4b495bb8eb0a8aa82f6f79bfdfad6c49
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Sep 19 16:01:42 2011 -0300

    Fix QLayout.itemAt and QGridLayout.itemAtPosition return policy.
    
    Fixes bug #1006.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d86765e535f7b55caa231d90737194bad86cf50d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Sep 13 17:44:17 2011 -0300

    Unit test for bug 995 - "QDeclarativeView.itemAt returns faulty reference. (leading to SEGFAULT)"

commit 846759b324b147ce29f6390f110b0c136258df07
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Sep 9 15:22:08 2011 -0300

    Created unit test for bug #1002.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e92b60162069ba177d755dc045cd6233440dca2a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Sep 9 15:20:32 2011 -0300

    Fixed QWidget.window() return policy.
    
    Fixes bug #1002
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit cf61c805887823f290e52e55fe06d15844ac82aa
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Sep 8 14:32:32 2011 -0300

    Created unit test for bug #997.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a92a006fd9d6c3256071e75c3bc13ec3a7a83586
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 7 12:51:45 2011 -0300

    Avoid register property twice during the object instaciation.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit f16a241b13fa09e5243c6fd88b02fc76d3f39e48
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Sep 7 11:47:16 2011 -0300

    Fixed segfault during the connection fail.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit f7b0dca2cb79d9926e7fbd74f39fca8d4d3751bb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Sep 6 11:06:26 2011 -0300

    Create unit test for bug #998.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit bfcc30ab86727b65c0ab89118e35a45a1e683470
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Sep 6 11:04:18 2011 -0300

    Fixed problems in function that return None, and was not verified.
    
    Some functions with inject code didnot verify the result value before
    convert to Shiboken types.
    
    Fixes bug #998.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Neto <lauro.neto@openbossa.org>

commit d29d9ad5ac54d19aa456d5d8b189766162733445
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 31 15:00:55 2011 -0300

    Changed QStringList from container to primitive type.
    
    QStringList inherits from QList<QString>, and it isn't a reusable
    container itself, such as QList.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b55ea7fd5ebf58cb6d141c0091f7d47ef761a2ad
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 1 17:33:20 2011 -0300

    Fix bug 981 - "QSettings docs should empathize the behavior changes of value() on different platforms"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit e9de49255b6b4a1749b729a02e9fe643c66a042f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 1 14:26:33 2011 -0300

    Fix QAbstractFileEngine read and readLine methods to accept data with null bytes.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 8e43e10f4e901851069be5557ec0f3dad72dc954
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Sep 1 11:38:14 2011 -0300

    Fix other QIODevice read functions stopping at null bytes.

commit 7ee30db078e15913c0a50016deb33113f06aa5dd
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Thu Sep 1 14:09:54 2011 -0300

    Add extra test on QByteArray explicit conversion
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 9afe76796d365978ee4be04e195cc5ec43758868
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 31 17:43:45 2011 -0300

    Fix bug 944 - "QIODevice.readData must use qmemcpy instead of qstrncpy"
    
    Reviewer:  Luciano Wolf <luciano.wolf@openbossa.org>
               Marcelo Lira <marcelo.lira@openbossa.org>

commit 08d202e824ffc6221bd426084ac169324808e9da
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 31 15:24:40 2011 -0300

    Fix bug 966 - "QX11Info.display() missing"

commit 700a4cf95ca3723062dc6affc89a2bd6a5b66dee
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 31 16:58:39 2011 -0300

    Created unit test for QColor reduce function.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2487a080624a74a0db9dc068174d23453d18c114
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 31 16:57:28 2011 -0300

    Fixed QColor reduce function.
    
    Fixes bug #989.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 57b291fe66dde855ad2d6782eef6034ec914d6c1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 31 11:31:03 2011 -0300

    Unit test for bug 967, a side effect of bug 988.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 6e6e7f528d59b27349ba1fd33f27d743592f8959
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 30 18:14:42 2011 -0300

    Created test for bug #979.

commit a7e4ddb8cae99fc17ab5e15a0a32c019c3f3a494
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 30 16:02:43 2011 -0300

    Fix bug 988 - "The type supplied with currentChanged signal in QTabWidget has changed in 1.0.6"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f5f9c23c5f98ac3ce3afd4bf2de03259dff66553
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 30 15:53:36 2011 -0300

    Optimize my dumb code that do stuff with a QByteArray without knowing if will use it.

commit 49ad2f9c1de0c8877f72a92ffab47d2895a48839
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 30 11:19:20 2011 -0300

    Created unit test for repr function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 1c4ebcbe8a79c7b5c9a9db8164493926009831db
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 29 15:02:27 2011 -0300

    Fixed gcc warning during QDate conversion compilation.

commit 24838672f0b8256a4fddcb04cf30d7a4d53b7d52
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 19:12:52 2011 -0300

    Created unit test for bug #987.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit d0decf40df7ec0f9474a2237fb0fd4809c43589f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 19:11:54 2011 -0300

    Fail during the signal connection or disconnection raises exception.
    
    Fixes bug #987.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit b6068afc3eb822fea7846b294e56412a16d8da56
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 18:42:26 2011 -0300

    Fixed SignalManager bug during anonymous signal connection.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit e59a9f833f4cb1a891bd84bf87f11c1538496bef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 25 19:41:19 2011 -0300

    Added missing primitive types on QtCore type system.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5eda2f136589c9e28fa9c16c55370627f54af73e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Aug 25 19:27:48 2011 -0300

    Fix white space.

commit 01bd258e107ca3ef58e1b1dd9d9bc62f2b602c59
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 16:03:08 2011 -0300

    Created unit test for bug #973.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit b3e839c1f8cc0f2181ccafb4aebd9dd1a153eb8a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 15:49:38 2011 -0300

    Removed debug messages from the test.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit e9b959ed8ef5bab7840220675c327f6b0ffc3204
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 15:39:29 2011 -0300

    Implemented inject code for function QWebPage.qt_metacall.
    
    This inject code is necessary due a workaround on C++ class QWebPage.
    Check de C++ doc for more information:
    
    http://doc.qt.nokia.com/4.7-snapshot/qwebpage.html#shouldInterruptJavaScript
    
    Fixes bug #973.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit d5b645d3ab8faa5aa5887e7fecf370f7ef322bba
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 26 15:38:23 2011 -0300

    Created utility function to call a python method usign args received in
    qt_metacall.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 65d4cf2be4bf6071b03c9ae34368d9cffda597e5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Aug 25 17:29:01 2011 -0300

    Fix complation warning relative to PyDateTime_IMPORT.

commit 6e9b7ffd5971d56101a304e3bd9e0a4205637aaf
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 24 17:24:21 2011 -0300

    Created unit test for QMenu, QMenuBar, QToolBar clear function.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 138d8c42681a0fd2a73d8ac94aae375af21e6892
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 24 17:22:56 2011 -0300

    Fixed QMenu, QMenuBar, QToolBar clear function.
    
    During the clear function all QActions need be destroyed.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit f5a1baac2f018bf75023c9ec98c06b885ac3c1ff
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 24 17:21:32 2011 -0300

    Fixex return policy on QNetworkAccessManager.createRequest.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 34d424f89da117188a8994a78e042e3141808ea6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 24 14:57:24 2011 -0300

    Register QVariantMap on TypeManager.
    
    fixes bug #959.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit 544414cc0372d0f50c621f3785d43ba3a8c2cf04
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 24 10:34:45 2011 -0300

    Created unit test for bug #959.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Luciano Wolf <luciano.wolf@openbossa.org>

commit c31c7c60da668bc690dd0fde3659f64c7d5c5b9c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 23 14:27:15 2011 -0300

    Implement support to pyside debug mode on documentation generator.
    
    Reviewed by: Hugo Parente <hugo.lima@openbossa.org>
                 Lauro Moura <lauro.neto@openbossa.org>

commit 8492b69d3302dcf9bbe25fbd7f4ae2654fbbafae
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 23 10:21:38 2011 -0300

    Fixed build for Qt 4.6.

commit 84b0364b5da72196a8356d1c4e0cfcb3b55beb8a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 22 18:13:45 2011 -0300

    Dependency version update.

commit 3da60153c00c693454fe80f1b3420b872becc4dd
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 22 14:32:58 2011 -0300

    Created unit test for __reduce__ of empty QColor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 4fdc15ef7f11956e4f0bf34fce60f8aa0252eace
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 22 14:32:27 2011 -0300

    Fix QColor __reduce__ function.
    
    Fixes bug #983.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 74e10eef63b7ce30e5b31f1d47f1c4454e488120
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 19 16:37:38 2011 -0300

    Created unitest for bug #972.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 88acbd47dbc745f4d80b884022f27b899050680c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 19 16:28:51 2011 -0300

    Fix QGraphicsProxyWidget.setWidget return policy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 14c00d33257d571af96fa98ca786a8d12cbbb766
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Aug 19 16:19:43 2011 -0300

    Fix QSettings code snippet.

commit 7b2c4242ad1d86bcc2da43a8482dbd39b3ac988e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Aug 18 17:51:13 2011 -0300

    Implemented GlobalReceiverV2.
    
    A new implementation of GlobalRecever that optmize the signal
    connection.
    
    Fixes bug #928.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d00af325c696acc390dd3565be82cd22b3b94658
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 18:36:49 2011 -0300

    Do not generate QTest::qt_snprintf function.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit bb68848f4aa21e3599ae93c0119c58d642231339
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 17:32:33 2011 -0300

    Fixed conversion rules for QWebPage.javaScriptPrompt method.

commit 69d0627af36e882301900fbcab4cbfe43c7ab2c0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 14:34:21 2011 -0300

    Updated QtNetwork's type system.

commit 8dd72c2630bba9e18248764c554080dc06fdee5f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 18 14:32:53 2011 -0300

    Updated QtDeclarative's type system.

commit 2a26f3560784cc2c939224cf75a49b2a16d91724
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 11 13:06:41 2011 -0300

    Updated QtWebKit's type system.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit d2e18937621e7327e341357eb674683c341e93e3
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 11 13:05:36 2011 -0300

    Updated QtXmlPattern's type system.

commit 00f51edd5b4d68aa8dcbf15ade14a96d680a574f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Aug 11 08:20:40 2011 -0300

    Updated QtGui's type system.

commit 9f00c676825c9affbb563cf3aa71f84e030ccf11
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 10 21:06:41 2011 -0300

    Updated QtCore's type system.

commit f0ea617acb86d81d3ce9b2ec5f5dc8aba2e299a5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 16 16:12:14 2011 -0300

    Fix bug 964 - "QAbstractItemView.moveCursor() method is missing"
    
    Reviewer: Marcelo Lira <marcelol.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 48015c2bdc6f602abd7800098e1749fb946cf05a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 16 14:50:42 2011 -0300

    Fix bug 950 - "implement Q_INVOKABLE"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 3c7e551a993662623b16fca1c7add077b9ecdd19
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 16 13:47:42 2011 -0300

    Fixed QColor.__reduce__ function.
    
    Fixes bug #960.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8e1c2702f62e3bbb946879249c610f7181036f5a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 16 11:48:50 2011 -0300

    Created unit test for QColor.__repr__ and QColor.__str__ functions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a17bf4130564d074023235bd5b99f95f86f79702
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Aug 16 11:47:29 2011 -0300

    Implemented QColor.__repr__ and QColor.__str__ functions.
    
    Fixes bug #961.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e3502d00fc5c8a9641641de8e8b5bafe7ea51fe4
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 15 17:56:53 2011 -0300

    Created unit test for bug #958.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 00bd60cfdac4c488b897fa7a0b55da625054a10c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 15 17:54:08 2011 -0300

    Remove obscure code from QUiLoader inject code.
    
    Fixes bug #958.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 247116d3200dd0244ba15e5d7c044bb519a24f08
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Aug 15 17:52:43 2011 -0300

    Removed return policy from QUiLoader.load return object.
    
    This policy have already applied on glue code.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 44c67274f0ad3474ae373aab63012e46dac70114
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Aug 12 16:41:14 2011 -0300

    Created unit test for bug #965.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit bbf66078ea911cbacca69550da15fa21a000e3ab
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Aug 12 16:56:39 2011 -0300

    Fix bug 953 - "Segfault when QObject is garbage collected after QTimer.singeShot"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b633bd4c2e575ff6101f2ae9ae39e192bad7fcb4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 18:00:58 2011 -0300

    Deprecated functions marked as deprecated.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a87d1142102d5bde730dd1186838227a9e003fc8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Aug 11 15:18:52 2011 -0300

    Created unit test for bug #951.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7942a9053d0dc0ebb7bc359b574fb97529985989
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Aug 11 13:58:04 2011 -0300

    Updated qmlRegisterType to register.
    
    qmlRegisterType uses QDeclarativeItem in template args, when the class is derived from QDeclarativeItem, otherwise uses QObject.
    
    Fixes bug #951.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d44123b26e0e81c78a66b25513b44c580e306641
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 15:14:38 2011 -0300

    Fix links on rel bar.

commit 8270b38ecf10f33d48cf32551f1b3106ff5fdc1b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Aug 10 15:14:05 2011 -0300

    Bump version to 1.0.6.

commit b6a0810e706d5bd0e91d048023e62febf163166b
Author: Didier Raboud <odyx@debian.org>
Date:   Mon Aug 8 13:31:19 2011 +0200

    Update pysidedocs theme to rely more on sphinx's base theme:
    
    - Drop files that are redundant with sphinx.
    - Add _templates/layout.html to add the needed customisation.
    - Update theme.conf to ensure theme inheritance.
    - Update pysidedocs.css to fit the theme with sphinx's basic theme.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 5e08e864e7378b87b18bf885a73ac5f4d0cac93a
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Aug 9 15:28:06 2011 -0300

    Added test for signal with typedef
    
    Reviewer: Renato Filho <renato.filho@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 44e1d257ec00d03a1dd4feeb4a0b8f2f2739df84
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Aug 9 13:40:38 2011 -0300

    Removing uneeded file

commit 57894b73b7c1764a28d290a5cc4a98942b49f3c4
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Aug 8 17:06:28 2011 -0300

    Fix plugin test
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit a8e05ed6fe93de2480b82961036353421a7677af
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Aug 8 15:20:24 2011 -0300

    Add test for qml plugin.
    
    Simple test. No asserts. If broken should segfault

commit 9a78c19fb889534d96a437c86e9f2c72291b592b
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Aug 8 14:23:47 2011 -0300

    Fixes in QtWebkit
    
    Needed to make example from [1] work. Example will be added
    to pyside-examples.
    
    [1] http://blog.qtlabs.org.br/2011/05/30/transformando-o-qml-no-proximo-flash/

commit 40938ef3664b941fdae81d6e86a5af2ab67f2671
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 8 14:36:40 2011 -0300

    Fixes Bug #944: Segfault on QIcon(None).pixmap()
    
    http://bugs.pyside.org/show_bug.cgi?id=944
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a713e377bbc0cdbceb3b90b32037a6f28c68c0e1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Aug 3 20:16:20 2011 -0300

    DynamicMetaObject optimizations.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fae2dfd9b1bc948b72b4a34469a6e0e08e12a30f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Aug 3 16:19:51 2011 -0300

    Moved AutoArrayPointer from libpyside to libshiboken.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit d129ca02f607068ded1ed6d073c20b56a3e9a276
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 2 15:51:45 2011 -0300

    Don't color links black.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8a81e8da2114bdf5903def6ecdb5679c80e7534e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 2 15:51:21 2011 -0300

    Better looking module listing page.

commit 6c8ad3b83f0694e2b5b2ad7df34e793a69966682
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Aug 2 15:50:39 2011 -0300

    Translate QHistoryState code snippet to Python.

commit d7710810050f10b23364ad0507596140b975082f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jul 29 19:19:44 2011 -0300

    Cosmetic changes on docs.

commit 609f6bc8898f0df4f789e834e2f2e5c97be9866d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 1 13:42:42 2011 -0300

    Created template code for added QObject's trUtf8 methods.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 151111bde2fcf7ab182495da16b3799fa2edf123
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Aug 1 13:12:49 2011 -0300

    Replaced hard coded variables by type system variables in QtCore and QtGui.

commit 8d8c4cf308c6e066a4e625ff2a05c11e7b9fba0b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 28 16:37:12 2011 -0300

    Fix bug 923 - "Make QScriptValue (or QScriptValueIterator) implement the Python iterator protocol"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d912655b5a00f44dc26be4ec6821c5e0aed1ab3c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jul 29 10:35:21 2011 -0300

    New CSS style for PySide docs.

commit c4994bc1ab5b207aaac195f84dde974fd6ef2094
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 18:14:43 2011 -0300

    Removed the "default-constructor" from some QtCore type entries.
    
    The generator was improved to do a better job figuring out a default
    constructor for types.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 09ef9957191abaf030f006585bb4858958504440
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jul 25 14:59:13 2011 -0300

    Removed the remaining unnecessary QTextStream::operator>> methods.

commit 035265df107918c4e091bd55246d93df1d9092a1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 28 17:38:00 2011 -0300

    Fixes the support for QGLShaderProgram's array functions.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 7a5d2e693bdfde21c58b252e6c0c35def1a64e53
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 27 19:24:54 2011 -0300

    Fix bug 941 - "Signals with QtCore.Qt types as arguments has invalid signatures"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit aa091e00ef71fb309844de900dd9a8248d62af14
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 28 11:15:26 2011 -0300

    Fixed windows compilation.

commit fe4dd9d63f8113d978e4380a9333bbe3ade5d9ec
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 27 18:02:06 2011 -0300

    Created unit test for QScriptValue __repr__ function.

commit d68d90a1445b7ba7f5d86ae133516bb48107b3c3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 27 17:54:27 2011 -0300

    Implement a more detailed __repr__ function for QScriptValue.
    
    Fixes bug #922.

commit 75bf7f24b8962a58bddaac3a216abd5c78b898c2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 26 15:21:40 2011 -0300

    Implemented 'QGLShaderProgram' array functions support.
    
    Fixes bug #940.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 3482e2c114c7a9c639ad9ffc6710f1104c2c704c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 25 18:38:39 2011 -0300

    Update bug_931 unit test to check for isinstance.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 7de55917c9992d6594f503a1af8553fbccf054f2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 25 18:37:22 2011 -0300

    Implemented meta type for PySideSignal.
    
    This allow intercept isinstance function to make valid with any
    SignalInstance object.
    
    Fixes bug #931.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 5922676bb1279d5ba7eeccc85ff55515ddc9c459
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 25 18:56:52 2011 -0300

    Use linked lists instead of lists to speed up a bit.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 9a8531bfd6f2d05feb941aa368e61728471a351e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jul 22 16:10:29 2011 -0300

    Small optimizations on libpyside.

commit 238222df8e3a2a5f00652ba47361cb6d9d1e0a16
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 18:19:47 2011 -0300

    Created unit test for property decorator.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit dffc9a21ead22af64143b6f3d568505b36333f9d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 18:17:47 2011 -0300

    Implemented Property decorator support.
    
    Fixes bug #900.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 6cd17da797977fc014e2828ff1abbf14060bf318
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 15:09:08 2011 -0300

    Bumped version to 1.0.5

commit 10269a2c321d14f417bd6eb20e18f4661de2b96d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 15:07:27 2011 -0300

    Updated shiboken version dependency.

commit 3ab2d7b8c333ede505b92ec9293ddd63e190a098
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 15:06:54 2011 -0300

    Fix typo on function modification signature.

commit 51dad59dc7a6c9b2f571a3529361df1cd25fdbf6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 22 10:22:05 2011 -0300

    Use realloc functions on MetaObject functions.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit ec45601aa14400b3d3e13f3f326e57d534da6ad2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 21 17:57:17 2011 -0300

    Implemented DynamicMetaObject optiomizations.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 9dd8f98e736dc70ae4f1a78f13ee643a63aa2e47
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 21 17:52:28 2011 -0300

    Update unit test for static metaobjet to work with new optimizations
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit a0566f992848f36311f48295c2d8d006802c9b35
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 21 17:49:08 2011 -0300

    Update QMetaObject test to test optimization changes.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 7eae54e157f3b10dc1ce00da1a3253b92a18c4be
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 21 17:46:40 2011 -0300

    Update unit test for max signals.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 81f264913e25fde7f539a4f40b664040c5baca76
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 21 17:44:57 2011 -0300

    Fixed unit test for bug_847 mandelbug.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit f10f4f70d4ffe21ace185db5da4ce4ab0fba9b34
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 21 19:10:46 2011 -0300

    Fix bug 938 - "QTemporaryFile JPEG problem"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5902ca2e66913a374cbfde629b97807e4e2b4bc4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 21 17:12:49 2011 -0300

    Fix bug 937 - "missing pid method in QProcess"

commit 0b6bafdd447f56c9910a41f039f9ed1431af04ee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 21 16:25:22 2011 -0300

    Fix bug 934 - "A __getitem__ of QByteArray behaves strange"

commit 673a7d1bccdaa522b8b8d9aee48cb6d0c0c5a342
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 21 16:00:44 2011 -0300

    Fix bug 890 - "Add signal connection example for valueChanged(int) on QSpinBox to the docs"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5d05c840bf9635be129804be584243cb005cfe06
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jul 21 14:35:01 2011 -0300

    Moved test for bug #921 from QtCore's directory to QtGui's.
    
    Because it imports QtGui module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit e3539a09a8c6fdcea1ad3029c8f85f81e303e6ff
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 20 17:48:15 2011 -0300

    Fix bug 821 - "Mapping interface for QPixmapCache"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ef45b5a924b921628c1bc3fd7fce18c994430208
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jul 19 15:58:20 2011 -0300

    Fixes bug #910 - installEventFilter() increments reference count on target object.
    
    http://bugs.pyside.org/show_bug.cgi?id=910
    
    Also added/fixed unit tests.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit cab3b37b788cef6fdd999bedbe0ced93c9151ae4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 20 17:47:15 2011 -0300

    Add a comma.

commit b166a72ccf8b7b9c6bc93ee0977892a556148f6e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 20 15:45:25 2011 -0300

    Fix bug 916 - "Missing info about when is possible to use keyword arguments in docs [was: QListWidgetItem's constructor ignores text parameter]"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e37426c8c4a1f041c2f4b9c0f560751aa4b9a924
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jul 20 10:41:31 2011 -0300

    Fix bug 926 - "qmlRegisterType does not work with QObject"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 8ec69343969dd1ef767d9c8d38ce49d4280e5d4c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 19 11:30:12 2011 -0300

    Fix memory leak on GlobalReceiver.

commit 6f872f484c587461f6203440560a665bdf76c3d8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 18 18:02:03 2011 -0300

    Created unit test for bug #931.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 304a2658408e81e8bfb4c37a9e1996907f5ab94f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 18 15:18:06 2011 -0300

    Renamed PySide.Signal instance class to PySide.SignalInstance.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit e6f0d69532fffb19befde41ab6155ca87a0390a0
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 15 19:01:22 2011 -0300

    Created unit test for bug #921.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 420cc076b36bea4c956db744aae986b67e702ce9
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jul 15 19:00:33 2011 -0300

    Disconnect signals during the class destroy.
    
    Fix bug #921.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit f16324eb57fe8e079a921f6fea916dfdeef7e084
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 18 16:08:33 2011 -0300

    Update copyright year of license boiler plate.

commit 17e3d0da85c7dc98ab5ff4b69b7a839ab16627ef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jul 15 17:47:45 2011 -0300

    Fix bug 924 - "Allow QScriptValue to be accessed via []"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 48a1b539a4c0ca08cda976fa1f68f4fd02f18dd5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 14 18:50:51 2011 -0300

    Fix bug 920 - "Cannot use same slot for two signals"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 116a691516c329eb7a0dec31a134e9b58de6b9d8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 14 15:24:32 2011 -0300

    Created unit test for bug #919.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d4760309b7cd4c30596db3935a4904ba87299282
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 14 15:23:47 2011 -0300

    Fix argument name on QStyle functions, and modify default value.
    
    Fixes bug #919.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d454f8a12ce1b651615fbea0103b12b229d58c55
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 14 10:43:43 2011 -0300

    Created unit test for bug #915.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6848e692ce8fbbbf089ee40edec138179ebd37df
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jul 14 10:28:54 2011 -0300

    Fixed QGraphicsView.scene return policy.
    
    Fixes bug #915.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c22e33a6c890bf850a045e2c67f43f126634695d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jul 14 15:59:43 2011 -0300

    Fix bug 929 - "pkg-config files do not know about Python version tags"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e9f082e83cb4f78f44a53089a08a71ab9d19f797
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 12 18:38:53 2011 -0300

    Created unit test for bug #927.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit f62ba98e886475c7936140fae1e5fba1676947a2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 12 18:36:06 2011 -0300

    Fixed QThreadPool globalInstance ownership rules.
    
    Fixed QThreadPool start, tryStart ownership rules.
    
    Fixes bug #927.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 9ef344629ad058ff946fd789355acdd6f2b8a68c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 12 11:50:55 2011 -0300

    Removed polymorphic-id-expression from  QDeclarativeItem.
    
    Fixes bug #925.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 794104582e2e8655d2e0f6564185a9ccc312fb62
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 11 18:56:57 2011 -0300

    Created unit test for bug #899.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit dc5ef0b998fefddf873304b54b13c34d874e0740
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 11 18:55:54 2011 -0300

    Increment reference for functions used on QtCore.Property.
    
    Fix bug #899.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ae0e33ff72bc8ff4394370edcbb6d608b01a5d7f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 11 18:57:14 2011 -0300

    Fixed enum test.

commit c7385c45c4a7437fcd343bfb736b39c201bfdd6c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 11 14:04:42 2011 -0300

    Created unit test for bug #886.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit b731b70fb22df04029cd2b86497125b0cacb60f1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 20:02:56 2011 -0300

    Created unit test for duplicated signals.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 09810443bf705bd02c6838c49eda2f9fdd1dcb71
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 20:01:25 2011 -0300

    Fixed PySide signal object constructor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit fa59041a976fc4e57651b63f273d63f30f4fd161
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 19:59:21 2011 -0300

    Created unit test for bug #896.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit f2cecb5697bbc725432315a1e9c54b2904c3b1e2
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jul 6 15:39:48 2011 -0300

    Implemented staticMetaObject property for QObjects.

commit f3d69f65d18b641aeeedfbbfe8a0e16d2a75d9fe
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jul 4 18:29:46 2011 -0300

    Fix bug 913 - "Widgets inside QTabWidget are not exported as members of the containing widget"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 7d364bde656cd6246c1c2a533813762089679857
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jul 5 12:02:15 2011 -0300

    Translate Shiboken enums to strings during the signal connection.
    
    Fixes bug #903.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0b5d8a1dec2a8af437b20395edbe7d6b3aea413e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 4 10:43:09 2011 -0300

    Created unit test for bug #909.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f43d92fab4c1ea8818b6886e65427e1e355a249b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 4 10:37:37 2011 -0300

    Fix QUiLoader::load function ownership rules.
    
    fixes bug #909.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d82b8dbd8d01e0c52491c8b801675acc9bc7a6c9
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jul 4 10:33:15 2011 -0300

    Fixed QMainWindow ownership control.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit da39716cc95ca03f20c32928709b092a1989ce26
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 29 18:13:24 2011 -0300

    Fixes bug #899 - http://bugs.pyside.org/show_bug.cgi?id=899
    
    Added unit test.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit b6f38556bd8cfcc61c537701a61cde56b4f704cf
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 28 19:28:09 2011 -0300

    Created unittest for bug #407.

commit 7eb5694e17cbbf8c167ad3b483b4c7d6c89a5650
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 28 11:40:33 2011 -0300

    Created unit test for bug #897.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b385e0c3edd0d9e99665cebbd8ee37055594d838
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 28 11:39:04 2011 -0300

    Fixed propagation of properties for user-defined types.
    
    Fixes bug #897.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 0d0981309edf7cf067d7485e89a2ce3993389604
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 22 16:00:44 2011 -0300

    Fixed test case, when the destroyed() signal is emitted all C++ objects are just QObject because their up destructors were already called.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 1783db758c1c8ed89b380133964e06526ae90e4d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 22 11:49:36 2011 -0300

    Remove reference leak on global receiver.

commit c0a4142c42591b6299d7bafecc7628ffcc33f842
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Jun 22 10:44:39 2011 -0300

    Bumped version to 1.0.4.

commit db796e14d0184bdebc1efaf2bc6c85d1c592d494
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 20 15:23:04 2011 -0300

    Created test for QObject.inherits.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ebaf95ca1aba9febe62cb98cd40fc9e710c45b12
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 20 15:20:44 2011 -0300

    Removed glue code for QObject.inherits function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f549793a5ca68bc6cc213506df0b2ac3fc541413
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 16 19:27:00 2011 -0300

    Fixed QWidget.parentWidget return policy.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a208d34edee970a655557969de4e2be3bfccf423
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 16 17:00:27 2011 -0300

    Fill qApp is any QApplication is active during the QtGui moude import.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit af2972255d9977541b6cd40521ea9a387f24b452
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 15 16:12:26 2011 -0300

    Updated PySide type systems to use the new type system variables: %ISCONVERTIBLE and %CHECKTYPE.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit df30f375124a1faea6a960e6adcd0d90fba08615
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jun 14 18:44:56 2011 -0300

    Fix bug 879 - "QDoubleSpinBox: Can't call the parent validate() method from a subclass"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 590abafc54206e458066f5632accda94e37f5edf
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jun 10 18:35:31 2011 -0300

    Fix bug 822 - "Can't use QApplication without X"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b66f8a789a55d07ad9fec0d9c40893ecf3952157
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jun 9 10:59:24 2011 -0300

    Added an unit test for bug #871.
    
    http://bugs.pyside.org/show_bug.cgi?id=871
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 90be65711973543630aae0ce7437f12fefbafcd9
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jun 9 15:14:59 2011 -0300

    Fixed default return value for "QStyleOptionViewItem QAbstractItemView::viewOptions() const".
    
    Wrong code would be generated if compiling avoiding the "protected hack".

commit 23445c7feeb83cec5caec1a24c9df441d9cfc1e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 8 20:01:40 2011 -0300

    Fix bug 877 - "Fatal Python error on application quit."
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit c1f78498e6eb5d5f9e097c7b32f1002aea257aec
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 8 16:28:16 2011 -0300

    Fix bug 870 - "QStylePainter.drawControl doesn't draw anything"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 23d1e497d87ee9ba4b6aff96f65e67e91cc73705
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Jun 7 11:07:06 2011 -0300

    Implemented support to MSG type on windows.

commit 3e88ef1c54f54e9aca8c82b2519a4525a11c1fc1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Jun 6 18:14:40 2011 -0300

    Removed unnecessary functions from QByteArray.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 97da5d1574e89adbbb3bcda32210c3588419c502
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jun 7 17:04:14 2011 -0300

    Fix bug 869 - "QDateTimeEdit initial time problem"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6f46c1fab5b8ed3311048db54625375adb8e9383
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jun 7 15:25:07 2011 -0300

    Fix bug 424 - "QDockWidget.setTitleBarWidget does not accept 0"

commit 0589d438b3edb252309900f6b88de866c0d971c6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 18:54:12 2011 -0300

    Show perm links only when the mouse hover on title.

commit 85a3a7fb31986893a8c1829ee13b608b0cddba0d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jun 6 18:52:16 2011 -0300

    Update javascript files used in sphinx generated documentation.

commit 902b1ec786063a14c8fc362d7aa099b7c5123e4f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jun 3 15:34:09 2011 -0300

    Created unit test for bug #860.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 3595badad674572714ad89f60d39b454729c8d35
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Jun 3 11:32:47 2011 -0300

    Fixed signal connection with native c++ slot.
    
    Fixes bug #860.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit e3df0766c3d104900cdf2128551240e5d0352f49
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 17:19:09 2011 -0300

    Fix bug 827 - "Anchor sign for headers to copy links for sections"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 928fa00609e9e2be428bd7386c62b8c601b4173a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 16:23:21 2011 -0300

    Fix bug 631 - "QSocketNotifier: Accept file-like object (with .fileno() method) in constructor"

commit 542adc0452cfec99948b07e51e9701740ea38fba
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 15:49:18 2011 -0300

    Avoid warnings about redefined constants.

commit 596f8347e29957111edd3d1a6606a5887294887c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jun 2 15:35:24 2011 -0300

    Unit test for bug862 - "Problems when printing objects"

commit 801efd40f37e8450f9d0e71fadf039a5bd7fe91a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jun 1 14:46:02 2011 -0300

    Removed the rejection of QAbstractFileEngine.beginEntryList.
    
    Added an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit f957a6f42d2abf5b33bf2bd9b525731c313cc668
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 31 12:29:52 2011 -0300

    Moved internalPointer methods code injection into a code template.

commit c0d6e44accb302ab31694a4efa0c18c13fc997dd
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Jun 2 13:54:33 2011 -0300

    Updated example to handle with Python warnings.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f1c7c786943e66e45a632491192a8b4a40da45e3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jun 1 15:40:48 2011 -0300

    Port all buffer related code to the new Shiboken buffer interface.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7109418dbeac85be5513fa2a6e974576219e7582
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 31 15:45:44 2011 -0300

    Created unit test for QObject.eventFilter function.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 20f8953cb48ac03536e8101a4cfc061a31337b62
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 31 15:45:28 2011 -0300

    Fixed problems with eventFilter function destruction order.
    
    The object passed to eventFilter function will keep a reference
    to the listener object, this will ensure the destruction order.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 3800537912667b9291623baf96a0504f5de73f3b
Author: renato araujo <renato@renatoPC.indt.org>
Date:   Mon May 30 16:25:38 2011 -0300

    Created ClassInfo documentation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
                  Hugo Parente <hugo.lima@openbossa.org>

commit cbf60dce5415891bf856112950672de7b0e4a827
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 25 17:52:17 2011 -0300

    Updated generatorrunner dependency version.

commit 2c2398db4fc249eb656739732f4a18b5f22fc81c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 30 14:44:09 2011 -0300

    Minor change in a doc code snippet.

commit 0c8a5401d92416a8a526b26e5e429df0abc1f5fe
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 24 11:41:16 2011 -0300

    Fix memory leak on QEasingCuverFunctor.

commit ed7b92d5d718ee1aa0ff7d65fd4944e67e32da29
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 23 11:43:24 2011 -0300

    Check if the same python object arrive on destroyed signal.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 77559ac63945da93f7e90c2910232c6eb2629487
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 23 11:39:17 2011 -0300

    Created DestroyListener class.
    
    This class is used to keep the Python object live until the signal destroyed emission.
    
    With this is possible to use the QObject on destruction signal.
    
    Fixes bug #505.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d9c43275a09fc68146a210a9da281a9491d62980
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 23 11:28:57 2011 -0300

    Fixed reference leek on global receiver callback call.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 306395a65ffd72987dcbe50a1b5c29bc45b7ab2a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 19 18:16:32 2011 -0300

    Created unit test for ClassInfo class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e13ce9212afb46f86e11f78fee98a1d1e1b1557e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 19 18:12:52 2011 -0300

    Implemented PySide::ClassInfo Object.
    
    This class reproduce the Qt macro Q_CLASSINFO behavior.
    
    Eg.:
        @QtCore.ClassInfo(author='PySide', url='http://www.pyside.org')
    
    fixes bug #705.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 5805ea4e01c463e5eae029a51978bdb1b910aad4
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 19 18:12:00 2011 -0300

    Create checkType for libpyside objects.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6e8f2a6d61970160ffa17ea839eb51a7f2f23900
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 19 18:10:58 2011 -0300

    Fix indentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e93b79399ae54f7cfb67ca73cdb92ea0f91d8a22
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu May 19 13:23:46 2011 -0300

    Added the missing QPixmapCache.Key class to the type system.
    
    Unit tests for QPixmapCache were also added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 5e778d0f1b39993fa3eb5976c950caf6e5f4eb85
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 18 15:32:11 2011 -0300

    Create unit test for function QEasingCuver.setCustomType.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cceea0af845bd17149ff01a6d01c6c9b1453e230
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 18 15:29:12 2011 -0300

    Implemented support to QEasingCurve.setCustomType.
    
    fixes bug #725.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 923d007ab947b5e20ee0dbabb94564372649367f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 18 15:27:41 2011 -0300

    Create PySideWeakRef class.
    
    With this class you can use a c function as a callback on PyObject destruction.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 21b5e6f05a02c834835dac846e9919aa75aad06b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed May 18 17:25:07 2011 -0300

    Remove ugly gray background on documentation see-also links.

commit 7888982223aa338f63ec0c389d0cd787bdfa617c
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed May 18 11:47:18 2011 -0300

    Update test for python 2.5
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 68157d645e5eb886ec7b3b47979fdf681322e3ac
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 19:55:05 2011 -0300

    Fix bug 803 - "QWebElementCollection.operator[] is not implemented"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit b3f5de99994ae93dd548da3d5fbc74c8a9cd3a9a
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Mon May 9 14:37:38 2011 -0300

    Fix typo
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit 8e221bfb9731589a4a4d4712745252e50b0a97c6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 17 17:36:04 2011 -0300

    Implemented convertion from Python types for QDate, QTime, QDateTime.
    
    Fixes bug #680
    
    Reviewer: pcacjr <pcacjr@gmail.com>
              Hugo Parente <hugo.lima@openbossa.org>

commit 952f9f0bda958afa36421c6af828f55f643a3deb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 16:34:08 2011 -0300

    Fix bug 686 - "Request to make Q[Mutex|Read|Write]Locker context managers"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c27dceaaab0d35aa0227157d6901ab96faf78e93
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 17 16:33:43 2011 -0300

    White spaces removal...

commit 85a5641368287e366b27aff2027f8cbf2163fcd0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue May 17 15:46:03 2011 -0300

    Unit test for bug 634, based on code from Marcus Lindblom.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 0f1b57dc941544e1b5cee7b90d175aa46bb2fdde
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 13 18:44:44 2011 -0300

    Created unit test for bug #854.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit ddae00b6c429604c3f2459f022e30ca883b9275f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 13 14:02:21 2011 -0300

    Fixed kee-reference rule.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 48f8b3865de03dd96bcae7b24c4c5ca16dca5831
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon May 16 15:04:25 2011 -0300

    Fix bug 857 - "64bit Windows build broken"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.filho@openbossa.org>

commit b926ac5defe8f198d397344337ebadd09e278dde
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Apr 5 17:52:26 2011 -0300

    Added tests for bug #716 - QPersistentModelIndex isn't convertible to QModelIndex
    
    The main test (exactly the same as reported) was added to QtGui tests,
    but also extended QAbstractItemModel test with a case that is the
    essence of the problem.
    
    http://bugs.pyside.org/show_bug.cgi?id=716
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit c057f74ce3c72d8a4d4a4f2a5357a5d3b7625fb2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 13 16:08:27 2011 -0300

    QPersistentModelIndex has its "operator const QModelIndex&() const" method back.

commit ad023b3cb5b2bcb1598983bccba0a49c56b9d58e
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Tue May 10 16:31:42 2011 -0300

    Create unit tests for bug #606
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6545eb21f52545f2319d853a827a1122dfbac6cf
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Tue May 10 15:36:03 2011 -0300

    Fix bug #606
    
    Add toTuple() function to these all classes:
        - QPoint/QPointF/QSize/QSizeF/QVector2D/QVector3D/QVector4D
        - QLine/QLineF/QColor
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 23a1c436e393c6b414a1022b270dc3edeedec78c
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Mon May 9 18:25:33 2011 -0300

    Add template to toTuple() functions
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>

commit 82335c46141201269abadf3fc05943c122ffb59e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 19:05:44 2011 -0300

    Always use the local Qt headers + global.h.in cleanup.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c1f05a0624b1fae87f091c4c4d302ce38df4ba5a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 19:04:22 2011 -0300

    Only add Qt4.6 classes when using Qt4.6 on QtTest and QtGui.

commit 2c83593868edc665c22f7453e8c6becc4e5d8a87
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 19:01:47 2011 -0300

    Correctly set SUPPORTED_QT_VERSION variable to the current Qt version.

commit f592efca989138d4bf25fedd60f3e4483c4722c4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 19:00:44 2011 -0300

    Add since attribute for classes and enums added on Qt4.6 and Qt4.7.

commit 93ea992d35224a28a70c3c189366b5c4c8ed85fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 18:59:48 2011 -0300

    Fix QGraphicsItem compilation on Qt4.5.

commit eca2d3cd6daaaa88b783efd33dc36c7df1cf73bd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 18:58:59 2011 -0300

    Fix QColor wrapper compilation on Qt4.5.

commit 5f80e31958a7d950317f967ad56e9dbc996fa9e3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 12 18:56:53 2011 -0300

    Be compatible with Qt4.5, i.e. no QScopedPointer.

commit c8f5fa07fea810e448982f7ebac50533e457aa9c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 10 18:41:49 2011 -0300

    Remove typesystem verbosity after fix of bug 417.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c85ce954582eba5761e895641e4e5dbf6dd8f4cc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 10 18:11:55 2011 -0300

    Use add-function on QCoreApplication and QApplication constructors.
    
    This was needed after a fix in the shiboken generator regarding the
    tp_init initialization.

commit 5825092e76917eb9b23769fa7e7a635601534968
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 10 16:48:48 2011 -0300

    Created unit test for bug #312.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ad58b05c54c3f9d2646d8440c098d98931304f8e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 10 16:42:32 2011 -0300

    Uses QMetaObject revision 3.
    
    This allow to register signal and slot in any order.
    
    Fixes bug #312
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 143ae88746d80f39140d915b44b8049c201b2775
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 9 19:50:10 2011 -0300

    Created test for mew pythonic functions on QTransform class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 9de9075f4ffd79989a7bdbcee905f2f3bbfe964f
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 9 19:49:25 2011 -0300

    Create pythonic functions for QTransform class.
    
    fixes bug #615.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cc9b6766a26bb9843c957346faa8d63ff9ffaaf7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 10 10:20:30 2011 -0300

    Fix assert in bug 722 unit test.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 42ae5c406f3fa3062923dd71d34aa109902b75e4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri May 6 15:10:42 2011 -0300

    Remove the restriction of detecing QtOpenGL module just when the gl.h header was found.
    
    This is needed to be able to compile the QtOpenGL module on Linux when using OpenGL-ES
    backend. On the other hand OpenGL-ES support isn't yet supported under MS Windows but I
    don't think that this should be a problem at all.

commit 03312ecc18395035374ceadb4211edcffffb2c53
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 9 15:58:25 2011 -0300

    Avoid run PyObjectWrapper operators without python interpreter.
    
    Fixes bug #829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ae67df9d8b833e5ccad75cd1de2565503e38262a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri May 6 19:03:03 2011 -0300

    Created unit test for bug #847.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 595133f9c858002a32c489ff6a045a076516e57b
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Thu May 5 17:31:45 2011 -0300

    Create unit test for bug #835
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 81d71072792d832b13d4ce7d7574afe8930b7269
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Thu May 5 16:50:01 2011 -0300

    Fix bug #835 - "pyside breaks descriptor protocol"
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f05552fc86dc205ca7589a6183872e2e7abfb162
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 5 16:46:58 2011 -0300

    Fix path of pysideqmlregistertype.cpp.

commit 442bcd9d54b64e89f290e5f983f4fdcc5dac3381
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 5 14:43:28 2011 -0300

    Fix bug 825 - "Can't register a class using that uses metaclasses in QML using qmlRegisterType"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8cb9b6d1973e9a1500399c2a2cab151d557c38d7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu May 5 14:23:06 2011 -0300

    Updated snippets code to use QFileSystemModel instead of deprecated class QDirModel.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 7542b1c7265d7d686d38bad3256bbd5bb2040c7a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu May 5 14:17:22 2011 -0300

    Moved unit test of bug 834 from QtCore to QtGui, as it tests QtGui classes.

commit adf13f83e978a1ef07f0052847d6e02bd1215c43
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 4 17:24:14 2011 -0300

    Created unit test for bug #820.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f65c15ec955cc4c114142c4f022f2a2e537669e0
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 4 17:23:37 2011 -0300

    Fixed signal name parser.
    
    Fixes bug #820.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 18924d8ce0a269d771b8075d5c48ce6f40fe0234
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 4 13:19:22 2011 -0300

    Created unit test for QSysInfo class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 7e2fd5d14bd98c886db05767d7ce0b17cc45b300
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed May 4 14:12:27 2011 -0300

    Fixed QSysInfo.Endian enum detection on MacOs.
    
    Fixes bug #809.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ba6726449fe30636389955f00ee74dda07b0b2ea
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 18:09:46 2011 -0300

    Created unit test fo QMacStyle class.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 8e8e8b044b69029fb2d1a346cf9707f4d7e3fa9e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 18:09:17 2011 -0300

    Included QMacStyle class check.
    Included QMacStyle header on global include.
    
    Fixes bug #840
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a445a69facd5a01697f6c696eccaf660968e077e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 3 19:10:01 2011 -0300

    Fix bug 786 -  "There's no __eq__ for all classes inherited from ObjectDescription<T> due to an Apiextractor bug."
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 4b5a6f760f3f2f9e4bc97cba8c080bb58c204353
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 16:18:50 2011 -0300

    Fixed some typos on unit test for bug #841

commit 1d3063a8231ea2e44a946ac8dcb76faff8cb8e9e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 16:09:40 2011 -0300

    Created unit test for bug #785.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c1f1b62957e498e39d5309670700e5cab9b3e0e1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 16:08:44 2011 -0300

    Put back missing functions for class QItemSelection.
    
    fixes bug #785.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit fd2abb11f59740340532bb51ee17bc3c7138a4ac
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 3 16:37:07 2011 -0300

    Fix bug 797 - "error on ui file load"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 71cd11a1c3b746b55c31bb818598f26a454992a4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue May 3 15:03:44 2011 -0300

    Fix bug 844 - "Crash in QGraphicsItem::toGraphicsObject when printing obj reference"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit d03ba5bb656c8b1a40dbbec5a2197f1f78cf6e30
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Fri Apr 29 14:29:11 2011 -0300

    Create unit test for bug #834
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit bc3a572c5af8d16b75e55e5c7c6f683c96b61482
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Thu Apr 28 16:51:12 2011 -0300

    Fix bug #834 - "Segfault on childEvent"
    
    The fix was basically setting the owner attribute to a correct value.
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2ef1ba00c7d00b6277f8ab96e5d02c4f085abbc4
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 12:21:54 2011 -0300

    Create manually dir for tests.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2b69cc925f009b38a73495f82e74ac6992cf11d8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue May 3 12:21:10 2011 -0300

    Fixed QStandardItem::clone and QStandardItemModel::setItemPrototype ownership rules.
    
    Fixes bug #841.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e50456ec721ccf909333d4a79aeed81707cd37ec
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 2 19:09:40 2011 -0300

    Updated unit test for bug #617 to new enum repr format.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 81dc2bba105c3e22d811d4b341aa06e2e5bc6a83
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon May 2 17:59:16 2011 -0300

    Created unit test for bug #826.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 46986a6d0d5f092f8eef9e81c3af285880d31969
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 29 19:15:49 2011 -0300

    Created unit test for bug #839.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 56d3f53bef9ea9131e73f0ac02aac3db727cebe6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 29 19:15:08 2011 -0300

    Implemented QTestTouch functions.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2b455b5acdf24079e80bf2ebb12574f552395326
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 17:59:49 2011 -0300

    Bump version and updated dependency version required.

commit 42d7f881d5d06b30365e03176b610412925d6431
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 15:59:55 2011 -0300

    Fixed bug 728 to use the correct arguments on function call.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit cecd566782a01e41464ac2f6273f63fd78b57b8b
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Mon Apr 25 15:52:04 2011 -0300

    Create unit test for QIPv6Address
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5a80d6418bf2cbe5bb14819db5d022d52bec0d75
Author: Paulo Alcantara <paulo.alcantara@openbossa.org>
Date:   Mon Apr 25 15:46:19 2011 -0300

    Fix bug #788 - "QIPv6Address.__getitem__ is missing."
    
    Signed-off-by: Paulo Alcantara <paulo.alcantara@openbossa.org>
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8d6761b93d82f59b8a75af59043eecbbf16ec9c6
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 14:50:25 2011 -0300

    Fixed QFileDialog functions which used QString as pointer to return values
    
    Fixes bug #819
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b2ddb6c1cd46f6e56962fd64731aaa6a85a36855
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 28 11:20:32 2011 -0300

    Fixed QKeyEvent polymorphic-id-expression to support QEvent::ShortcutOverride.
    
    Applyed patch from Evan Patterson <epatters@enthought.com>
    Fixes bug #833
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 17a4a02354482045a0a8c1f3ec65c058d4b265ef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 28 16:33:25 2011 -0300

    Fix documentation bug 853 - "Provide constants for Qt and PySide version"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 4fd1c23ae3b631188aebbf73251d04c18c42f274
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Apr 26 16:28:22 2011 -0300

    Update inheritance diagram sphinx extension.
    
    Better handling missing classes.
    
    Reviewer: Renato Araujo <renato.filho@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 8eb96fc200e2ecebdd0945475c10c458c308ef2a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 27 15:03:43 2011 -0300

    Created unit test for bug 829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 26e45be10730d10f9d04b1c6548ac545106ce643
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 27 15:02:38 2011 -0300

    Implemented stream operator for PyObjectWrapper.
    
    Fixes bug #829.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit ea4968f5f31efba2df21514ae08beb1bef29031c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 27 15:02:10 2011 -0300

    Fixed QVariant conversion for dictionary.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3bb2bf375e52006c4880aff88f20344f5ccf1f87
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 27 17:51:52 2011 -0300

    Fix bug 836 - "Pyside crashes with more than four base classes"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c4225d063d7e78c6a761004745ccda4cf5188860
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 27 10:04:26 2011 -0300

    Fix bug 766 - "Constructor "QImage(const char* const xpm[])" missing"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit adac79f08bff1e299eb61a2341383350602b4505
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 26 17:58:45 2011 -0300

    Fix bugs 776 and 777
    Bug 776 - "Operator "QPolygon::operator<<(QPoint)" missing"
    Bug 777 - "Operator "QPolygon::operator<<(QVector<QPoint>)" missing"

commit 74dc26aa7180f7df26c5b975d7cd6a0443d04d78
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 26 15:19:33 2011 -0300

    Fix test on windows.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 862e1a14b2848edd6ce62d00a6547150d95bea5d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 26 15:13:24 2011 -0300

    Created unit test for bug #778.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4bfd1759d48c828e3d21d1e7a9636a6ad87f4c92
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 26 15:06:40 2011 -0300

    Implemented support to iterator on QTreeWidgetItemIterator.
    
    Fixes bug #778.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 50e6f9690b338a9990eff566c4e49f156e275294
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 15:56:01 2011 -0300

    Created unit test to QKeySequence convertion to QVariant.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 5d3285e41d53de399da93ecebcef04b3dc3616ee
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 15:54:00 2011 -0300

    Fixed QKeySequence convertion to QVariant.
    
    Fixes bug #775.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 94571574b496bbf7b6658b4dc0aae60386a612fa
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 15:08:50 2011 -0300

    Created unit test for QKeySequence.operator[].
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit f94046f4a2e52bea8f96337b6af7cdc373ff3a63
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 15:08:10 2011 -0300

    Implemented support to QKeySequence.operator[].
    
    Fixes bug #774.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 9dd46ce92f2eccd25140d0bc911bae1b96a3f4cb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Apr 25 15:09:21 2011 -0300

    Fix bugs 771, 772, 779, 780, 781, 782, 783 and 784
    Bug 771 - "Constructor "QStandardItem(const QStandardItem&)" missing"
    Bug 772 - "Method "QPainter::drawConvexPolygon(const QPoint* points, int pointCount)" missing"
    Bug 779 - "Method "QPainter::drawLines(const QLine* lines, int lineCount)" missing"
    Bug 780 - "Method "QPainter::drawLines(const QPoint*, int)" missing"
    Bug 781 - "Method "QPainter::drawPoints(const QPoint*, int)" missing"
    Bug 782 - "Method "QPainter::drawPolygon(const QPointF*, int, Qt::FillRule)" missing"
    Bug 783 - "Method "QPainter::drawPolyline(const QPoint*, int)" missing"
    Bug 784 - "Method "QPainter::drawRects(const QRect*, int)" missing"
    
    Reviewer: Renato Araújo <renato.araujo@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0f0124e54c22d46fa71722b9eff93ebb34816d4c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 20 16:36:27 2011 -0300

    Fix bug 768 - "Method "QGraphicsItemGroup* QGraphicsScene::createItemGroup(const QList<QGraphicsItem*>& items)" missing"
    Fix bug 769 - "Method "QGraphicsScene::destroyItemGroup(QGraphicsItemGroup* group)" missing"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit d7684d00e3a61c4d457b04521756296dfe56d8a4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 20 15:00:02 2011 -0300

    Fix bug 765 - "Method "QRect QStyle::itemTextRect(const QFontMetrics&,constQRect&,int,bool,const QString&) const" missing"

commit c104fa61ad68ece261cc459e7ac31e0a5ac7e3f9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 19 18:09:17 2011 -0300

    Fix bug 760 - "Method "void QMatrix::map(int x,int y,int* tx,int* ty)const" missing"
    Fix bug 761 - "Method "void QMatrix::map(qreal x, qreal y, qreal* tx, qreal* ty) const" missing"

commit 6ec7cd56a32680a182849817843ef95145986add
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 10:24:57 2011 -0300

    Fix unit test bug_750 and qpicture_test to avoid deadlock in some plataforms.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 9b4a43be493cb38adc5aa3a4b195ab9033ce550e
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 10:12:24 2011 -0300

    Implemented test for QWebFrame.metadata function.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 047d42c704cf2bf8aabd61b7d405746506b7e37d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 25 10:10:37 2011 -0300

    Implemented conversion from QMultiMap to Python dictonary.
    
    Fixes bug #773.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c9a260df4b5d9b07e398c0dc1a3168371e71ccfb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 20 18:43:51 2011 -0300

    Created unit test for function QPicture.setData
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit fc47ed069ee60fff932e2b6e06c4f8acd7faa0fb
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 20 18:43:02 2011 -0300

    Implemented necessary convertions rules for function QPicture.setData.
    
    Fixes bug #759
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0512a3f98f1bc449214b29c307f40bb03a19ae26
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 20 10:35:24 2011 -0300

    Fixed reference leak on PySideSignal for QTimer.SingleShot
    
    Fixes bug #815.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3bc3257c8ba8b0381cb7765fbd847925e83aec79
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Apr 19 17:09:00 2011 -0300

    Set WA_InputMethodEnabled in test.
    
    If WA_InputMethodMethod is not set, setFocusWidget will fail
    in a ASSERT in a debug-compiled Qt.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit ef05a106c3733a7546dc918eaa9884e1e229f80a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 19 13:39:04 2011 -0300

    Created unit test for bug #811.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6ad57fe3f465ee4d878425d9147270ee36a75b52
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 19 13:38:01 2011 -0300

    fix QTextBlock.setUserData reference leak.
    
    Fixes bug #811.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 055e5e97b6873228c64c5ab4a84b71ce8a2012c4
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Apr 19 16:37:22 2011 -0300

    Fix bug 814 test.
    
    Using the modelData property name was causing problems
    with a debug-build Qt.
    
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 26be28d120aba5401e8e4ed0509557070729cb82
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 18 15:00:01 2011 -0300

    Fixed test to avoid problems with float numbers in different archs.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 2b0c31fb027bada0f641a320add7009d0ee61f0a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 18 14:51:16 2011 -0300

    Exported missing enums on phonon.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 98a0d2ba6f3e02c3f3e4aa88e52d0aa9b4273446
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 18 14:50:29 2011 -0300

    Created unit test for ObjectDescription.fromIndex.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit dab522fe31c1fdae817f93d8d3621086e4e959e1
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 18 14:49:33 2011 -0300

    Implemented function ObjectDescription.fromIndex.
    
    Fixes bug #787.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit bba3918943835e941a8eb3beaa89d1d452518c66
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 15 19:26:15 2011 -0300

    Fix round problems on unit test.

commit 82155ceeda127c9d10a0b7ea79c7e63220acac14
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 15 19:21:11 2011 -0300

    Create unit test for bug #757.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 13878d27cd03c73aaf36952636b61ee25e801d33
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 15 17:56:54 2011 -0300

    Fixes Bug #757 - Constructor "QPixmap(const char* const[] xpm)" missing.
    
    http://bugs.pyside.org/show_bug.cgi?id=757
    
    Reviewer: Renato Araujo <renato.filho@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 595c70c32fd98bb8676195d8e847d3c2878c2485
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Apr 15 17:00:07 2011 -0300

    Avoid delete file from source dir.

commit ea5dd4f257f45b41984dd83640c6b7abf57a663d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Apr 14 19:56:12 2011 -0300

    Fix bug 717 - "QByteArray doesn't honor \0 inside strings."
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e14378b1265d622a3ed82fbfe4e42fd0a4c0f0cd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 13 16:02:54 2011 -0300

    Fix inject code of QByteArray::fromRawData.
    
    The QByteArray returned must share, nto copy, the string contents.

commit 5d753e281a7f90463de36cc46caf1dd441cd4d62
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Apr 14 13:16:35 2011 -0300

    Fixes bug #755 - Method "void QInputContext::setFocusWidget(QWidget*)" missing
    
    Also added an unit test.
    
    http://bugs.pyside.org/show_bug.cgi?id=755
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8aa06c9bc910ac727c66cdc841f5c7d7f059577e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Apr 14 11:20:06 2011 -0300

    Fixes bugs 753 and 754.
    
    Bug #753 - Method "void QTextDocument::undo(QTextCursor*)" missing
    Bug #754 - Method "void QTextDocument::redo(QTextCursor*)" missing
    
    Also added an unit test.

commit accbee8ae8c76f93f97635a3a28fa8d7f1adac84
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 13 19:38:07 2011 -0300

    Fixes bug #741 - Method "qreal QTextLine::cursorToX(int*,Edge) const" missing.
    
    Also added unit tests.
    
    http://bugs.pyside.org/show_bug.cgi?id=741

commit eed7193f32218465381ddb5c0310585006674add
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 13 18:26:00 2011 -0300

    Fixes bug #742 - Method "void QPrinter::getPageMargins(qreal*,qreal*,qreal*,qreal*,Unit) const" missing
    
    Also added unit tests.
    
    http://bugs.pyside.org/show_bug.cgi?id=742

commit 6efe441b766852764c4638f41b5ae556c93a9aa8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Apr 7 11:29:15 2011 -0300

    Fixed CMakeLists.txt files to prevent static source files of being deleted by "make clean".

commit 45604383c13cd312d4a304fb0400c75e2765c243
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 14 10:00:42 2011 -0300

    The funcition QSplashScreen.repaint was removed because that override the QWidget.repaint.
    
    This will save some genereted code and does not produce any side-effect.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit adf3d712d5c41eec81a69429c12df2c1851b9020
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 14 09:53:12 2011 -0300

    Created unittest for bug #750.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2dcb2a855ac2a1c84cab355c53edf69926fa3ec5
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 14 09:52:37 2011 -0300

    Put back QPainter.fontInfo.
    
    Fixes bug #750.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 640a428c9bf4f415924a56b4e0054706f57a3b65
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 20:55:01 2011 -0300

    Created unit test for bug #743.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 000a3232453a64922eab53ec496c361aed365b49
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 20:54:00 2011 -0300

    Implemented support to mapping on QMatrix4x4.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 6f981476023030723bbad15751bb053a5be60c4c
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 18:28:04 2011 -0300

    Created unit test for bug #740.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0c5809474bf157d020ebd94aa903b3faccae4a6a
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 18:27:09 2011 -0300

    Implemented function QBitmap.fromData.
    
    Fixes bug #740
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 2a788ba61801c858a739b0e7947dc5a6589e686d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 15:10:50 2011 -0300

    Created unit test for bug #722.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit fa3bbed001275d7a3aef8120cb4ee58abfe603ca
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 13 15:09:20 2011 -0300

    Use PyFloat as double in signal signatures.
    
    Fix bug #722.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 998084a7fe0fe87ed2ded049b5720819601851d7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 12 17:05:05 2011 -0300

    Removes the removal of QMatrix4x4 call operators.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 958394f5ec5dc38f12314db07222fb6f598bcd42
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 12 15:54:33 2011 -0300

    Fix code injection of QIODevice to support returning an error.

commit c2c04ddd5107f0743441c9cf77c481254d168aae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Apr 12 15:53:56 2011 -0300

    Fix bug 723 - "Missing QAbstractFileEngine.read and QAbstractFileEngine.readLine"

commit b1ab2a02604bca8abfb18a2f626643a52c5d4453
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Apr 12 14:35:07 2011 -0300

    Created QtDeclarative.ListProperty documentation.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b3a3a293635281c0e55ee016e3dab77d465d5bb3
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 11 18:44:57 2011 -0300

    Create unit test for bug #816.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit b2982dccc5079395231450c21d26a2fc27c32940
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 11 18:43:41 2011 -0300

    Fixed QCoreApplication.instance method to handle with application created before PySide module loading.
    
    Fixes bug #816.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 442a0ca932a663251deeefb37428b4d8df70a139
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 11 11:36:29 2011 -0300

    Created unit test for bug #814.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 99c656e2a5b15d3e655d5fefa53ac43fc492ab2b
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Thu Apr 7 15:45:02 2011 -0300

    Updated dependency version.

commit b49109923fe635103006b10a046a51620f21d2c7
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 6 16:06:14 2011 -0300

    Fixed bug #400 link description.

commit de23ffa760d9cba199930760618f99423f5e0bca
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 6 16:05:56 2011 -0300

    Create unitest for bug #688.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ccf8ddf75b0e5342f8e927b20d3f355456e44099
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Apr 6 16:04:55 2011 -0300

    Implemented support to pyton iterator in QTextFrame::iterator.
    
    Fixes bug #688.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e3b24c2204fedb0141ddd949e4f556d345780df1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 6 15:59:01 2011 -0300

    Fix 720 - "QByteArray prints itself wrong, on tp_print and tp_repr"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit c06cec65df9db1b580cb24d43bfc6a5f46b20f17
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 6 19:04:56 2011 -0300

    Fix bug 724 - "Missing QAbstractFileEngine.map method"

commit 6ef7460a47674072b2dd2f8521bea8c84f7153d5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 6 18:35:49 2011 -0300

    Fix bug 721 - "QFile doesn't support map and unmap functions."

commit 0cb14ebf352b4174be9e60f47574aee432e35a1d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Apr 1 17:08:13 2011 -0300

    Remove unused variables and warnings when using gcc 4.6.

commit fab79738ac6644f065740ac58694d2c58ee3a9f0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 23:02:53 2011 -0300

    Updated type system files to use the new %BEGIN_ALLOW_THREADS and %END_ALLOW_THREADS variables.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit cf905e46616b46e811925926a231bb8fa6e1ce12
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 22:23:36 2011 -0300

    Fixes bugs 746, 747 and 748.
    
    Bug #746 - Method "QFormLayout::getLayoutPosition(QLayout*,int*,QFormLayout::ItemRole*)const" missing
    Bug #747 - Method "QFormLayout::getWidgetPosition(QWidget*,int*,QFormLayout::ItemRole*)const" missing
    Bug #748 - Method "QFormLayout::getItemPosition(int,int*,QFormLayout::ItemRole*)const" missing
    
    Also added unit tests.

commit 77be0fc1a7927022347104162b4bd42f0cbb01a8
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 21:25:50 2011 -0300

    Fixes bugs 739 and 752.
    
    Bug #739 - Method "QTransform::map(qreal x, qreal y, qreal* tx, qreal* ty) const" missing
    Bug #752 - Method "void QSplitter::getRange(int index, int* min, int* max) const" missing
    
    Also added unit tests.

commit f1b3580d577a20a3b317dae42583652248141f6a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 21:15:49 2011 -0300

    Do *not* mix tabs and spaces.

commit 8b1f0d192a8295b9aac9bfa876fba5674014b91d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 20:51:04 2011 -0300

    Fixes bugs 744, 745, 756, 758 and 764.
    
    Bug #744 - Method "void QGraphicsLayout::getContentsMargins(qreal*,qreal*,qreal*,qreal*) const" missing
    Bug #745 - Method "void QGraphicsLayoutItem::getContentsMargins(qreal*,qreal*,qreal*,qreal*) const" missing
    Bug #756 - Method "void QWidget::getContentsMargins(int*,int*,int*,int*) const" missing
    Bug #758 - Method "void QTextCursor::selectedTableCells(int*,int*,int*,int*) const" missing
    Bug #764 - Method "void QLayout::getContentsMargins(int*,int*,int*,int*) const" missing
    
    Also added unit tests.

commit 00f0ea88cfd1020ff3765597ca9525eb73a783b2
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Apr 6 19:49:37 2011 -0300

    Merged fix_int*... and fix_qreal*... type system templates.
    
    Also modified the method call to be friendlier with virtual methods.

commit 4b1986f9179293103d14edcefec80571f92db227
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Apr 6 16:01:55 2011 -0300

    Version bump to 1.0.2

commit 21786216f2dff1b7065c1f98f09116fe72c993cc
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 4 18:07:28 2011 -0300

    Create unit test for bug #793.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 1067faec16032e2f71c72b8415605708a88adb66
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Apr 4 18:06:07 2011 -0300

    Change the order of function call on destructionVisitor to avoid problems with cyclic dependency.
    
    Fixes bug #793.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente <hugo.lima@openbossa.org>

commit 2e1ed4a88122b10bffa35043ff1373e8ec476dcd
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Apr 1 09:20:05 2011 -0300

    Fixes bug #489 - PySide.QtGui.QImage with string buffer argument.
    
    http://bugs.pyside.org/show_bug.cgi?id=489
    
    Also added an unit test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit cfe00ac969eea7d937a6fa0a0a5752dc70b96963
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 30 18:37:42 2011 -0300

    Fix bug 712 - "QtGui.QFormLayout doesn't have setItem() function"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d6afa13b442a77a226b5d35367516966e546cb04
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 29 15:39:13 2011 -0300

    Fix bug 540 - "Duplicate entries in QRegExp docs"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit d981750c467814cfc9ff3ac265cd0f05a48f54c7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Mar 28 14:51:57 2011 -0300

    Fix doc bug 794 - "QPixmapCache.find example is wrong"

commit a3e1ea3b9735b47178b0e7f97cdc3f1fbd9a66dc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 25 16:12:36 2011 -0300

    Fix bug 790 - "QStyledItemDelegate Signal with lambda and QModelIndex: Fatal Python error: PyEval_SaveThread: NULL tstate"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit deefa3508703537c318d18e5da2df57ae19a70bd
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 23 13:31:35 2011 -0300

    Fix bug 694 - "QWebPage::extensions need injected overloads due to required casts on C++ version"

commit 61f479b6826f7d88c02c0ab5986e8e2c08be5518
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 23 19:14:42 2011 -0300

    Fix bug 699 - "PySide.QtCore.Property doesn't throw a TypeError if the first arg isn't a PyType."

commit e360a53087975cac53975f00e747991b7eb818af
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 22 18:08:17 2011 -0300

    Fix bug 685 - "The second arg. of QObject.findChildren doesn't have a default value and doesn't support regexes."
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c1f507f87ad03651e899ad54199fe028b426515d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 22 19:18:59 2011 -0300

    Fix a type in QtGui type system.

commit 16421e85e709c4c326a867e4103d6814be9818af
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 22 16:55:00 2011 -0300

    Use set instead of add on reference-count action attribute.

commit fda4e800cab59b96780951d28b32a477ceccd290
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 22 14:55:38 2011 -0300

    Type systems of all modules but QtCore and QtGui reviewed.

commit 080dafd0e50f63943bcf7f0b9e8cdd11b37a4230
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Mar 21 18:08:49 2011 -0300

    Fix bug 736 - "Signal/Slot is not working at all"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 3c50d09ddac8738e57c629a729448a41bce15659
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Mar 21 18:07:09 2011 -0300

    Changed local variable naming style.

commit c0be87af80705a9b10fbef81190ad1c2f95b2f9d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 22 11:49:43 2011 -0300

    Revert "Fixed test for bug #674 to works with new getattr check."
    
    This reverts commit a6f0d0cb5209655bd3f1727b9ddb03ff547104a6.

commit 58fb1c705c7c3e6fae2aa4f295991d005f4e63ae
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 22 11:12:33 2011 -0300

    Only raise 'RuntimeError' for function call to avoid problems with contructor order calls.

commit a2f110d3b93de001964c879993110e96d248ad63
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Mar 22 08:58:09 2011 -0300

    Added comments for all method removals.
    
    And some other clean ups.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 44f5f6261876d508d52826534f7f77270c2b31ce
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Mar 21 15:11:03 2011 -0300

    Fix bug 728 - "QFileDialog.getOpenFileNames never returns (hangs)"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 69abc806ec895239154287779dca9c4cac8adcea
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Mar 21 10:09:51 2011 -0300

    Created unit test for bug #726.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 258995d03cd0cf81288917e073056d64844c003d
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Mon Mar 21 10:08:04 2011 -0300

    Does not use normalizeSignature in functions with return type.
    
    Fix bug #726.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 120ace2cf9af79157035c266d7fbe27d9a09f76c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 18 17:37:00 2011 -0300

    Add unit test for bug 693 - "Heap corruption or double free reported on program exit"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9fd4705cf6093b7962ac6b82668362cb00db0341
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Mar 16 11:40:50 2011 -0300

    Fixed test for bug #674 to works with new getattr check.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 734e08632729128135844b5c98817b4881a00a68
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 15 15:34:33 2011 -0300

    Created unit test for bug #696.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 855ad2d587161e8ae3ea7b0c64d30f73130e3cd8
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Tue Mar 15 15:33:30 2011 -0300

    Check if class is valid before call meta object function on class getattro function.
    
    Fix bug #696.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d3fb0b38b76eb9a08a60c1a5667388afe9521fea
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Mar 11 15:57:27 2011 -0300

    Created unit test for bug #711.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 32fb36f97ac76ef23271049dbb6642bf7bfed557
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Fri Mar 11 15:56:25 2011 -0300

    Fix QToolbar.clear parent policy.
    
    Fixes bug #711.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit a8be4c2326f01aa6ad209e3f9787553088e16b11
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 15 16:54:55 2011 -0300

    Add unit test for bug 706 - "dataChanged signal raise an incorrect TypeError"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 945f9bffd9e1b2dd797110c0a1738a3f273bc21f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 11 17:42:21 2011 -0300

    Fix bug 718 - "PySide/PyQt4 QByteArray incompatibilities: setNum method"
    Fix bug 719 - "PySide/PyQt4 QByteArray incompatibilities: appendByte method"

commit e2121ae09afcc73fffb1af408dca4ce33988dcda
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 11 17:30:00 2011 -0300

    Add comments to some function removals.

commit 40bbb494874e4f39ca814e23af3f27b9804e7429
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Mar 9 17:18:11 2011 -0300

    Created unit test for bug #714.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e8a8e3c63e85524bc2edfec1fccf2104cda87f38
Author: Renato Filho <renato.filho@openbossa.org>
Date:   Wed Mar 9 17:17:43 2011 -0300

    Removed parent policy from QLabel.setPixmap.
    
    This is not a parent transfer because the function receives a "const &" and stores a copy of the pixmap.
    
    Fixes bug #714.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    	  Marcelo Lira <marcelo.lira@openbossa.org>

commit c453a7ca2bc1ca5f752c1defec43ac1d65f7b997
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Fri Mar 4 16:00:56 2011 -0300

    Remove duplicated const functions from QRegExp
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 8b261892b87b6261810b0085b75374467a4ae243
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 4 13:10:38 2011 -0300

    Last code snippets....

commit 36fdd023e0d470bc3feb7472985f59eedc0a0857
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 4 11:35:54 2011 -0300

    Removed Signal/Slot documentation content.

commit 632105b470da139380275c55d47076e4440f14ff
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Mar 4 11:36:55 2011 -0300

    Version bump to 1.0.1

commit 3798c8718c277d856562829d8326bb7cced0d84a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Mar 3 18:56:26 2011 -0300

    More code snippets ported to Python.

commit 11042fdbaac58bbab03eb76d849186796cb30c44
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 2 21:15:45 2011 -0300

    Version bump, 1.0.0 final yay!

commit 70e12fad1ef4ab4129c77da033cfd08716d381ae
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 2 17:49:28 2011 -0300

    Added some missing code snippets to PySide documentation.

commit 8b83ec73fa255aacca54f9766aa787adf2ac1bc0
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 2 17:50:44 2011 -0300

    Removed useless files from docs.

commit b0a0454f35055ae651b48f08dad67a6251e3b6dc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 2 17:48:09 2011 -0300

    Remove some warning messages when generating the docs.
    
    Those classes haven't especific documentation, they are only typedefs for template instanciations.

commit 1c66507f8011067b4b941ece76dff285c6a0930d
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Mar 2 13:52:51 2011 -0300

    Fix bug 676 - "wrong QLocale.toFloat() description".
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e0799d7dcf6d768ae773579153c43f532d1ed7b8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Mar 2 14:35:55 2011 -0300

    Fix bug#708 - "Remaining pyqtSignal in ref docs"

commit 11a7187cf8c511ab5ddb7b9bbc36243834bf5a58
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 1 20:30:30 2011 -0300

    Added module documentation for all modules.

commit 3c58feee51cb2946f47d6f8c1e224ae72e3e2358
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 1 17:16:48 2011 -0300

    Removed a lot of files not used by the doc generation.

commit 66cdf3f52feaf484b455491aefc17e8600c2535f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 1 17:16:00 2011 -0300

    Missing doc code snippet for webkit.

commit dd123896b4abf1beeca9c4074dfb0d3711865c8b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Feb 28 15:41:26 2011 -0300

    Fixed/translated some doc. code snippets.

commit b4026126dee2cafb4a2cd3be789e4a5a166b8bf1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Mar 1 15:47:44 2011 -0300

    Use multiple code snippets directories to fix the crazyness of Qt docs.

commit 0a4573591e9d1a59b61167ed2b72a7ecc9181eab
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Feb 28 15:40:57 2011 -0300

    Removed unused doc snippet files.

commit 905f660ab2c75ab6396b946869e07ed962845099
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Feb 28 20:21:33 2011 -0300

    Added modify-documentation do QDeclarativePropertyMap to remove references to QVariant and QString.

commit eb2a982b94a20bc55a173e24908b6b5bf6bfe296
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Feb 28 20:19:49 2011 -0300

    Added missing format attribute.

commit 610fc659e802c05e14ec4e905f06a19b5306ce2a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 25 19:11:25 2011 -0300

    Added some QML tutorials to the documentation.

commit a7263b23e001b5281119edd3c5d9f49513503afb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 25 19:07:27 2011 -0300

    Minor fixes on pysideapi2.rst.

commit 2a58c0102b6ad68635c3ee0fa8808d604e103aba
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 25 19:05:54 2011 -0300

    Use monospace font for sphinx literal strings.

commit fcfc95133038225661deceea17e7cf515a109b37
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 17 17:48:30 2011 -0200

    Change version from beta6 to rc1

commit 5d9855256aa07239ae5eb7511e5bc3186389bc6a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Feb 7 13:08:04 2011 -0300

    Updated PySide CMake files to use the new generator argument "avoid-protected-hack".
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 75937124c2e8b567e226d7675265a87562d4a1c7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Feb 16 11:37:45 2011 -0300

    Updated CMake files to use the "--drop-type-entries" generator option.
    
    Instead of maintaining a complex CMake scheme to remove optional type
    system entries, the generation will rely on the new generator capability
    of dropping entries given via command line.
    
    Reviewed by Bruno Araújo <bruno.araujo@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 861e26665da05bc6fbc28ed3503fdcc4b8bd9fb6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 16 17:39:08 2011 -0200

    Fix bug 681 - "Unicode support for trUtf8 method"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 8550948818153625a4f23def6eb2ab1b7e63d30b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 16 16:07:01 2011 -0200

    Fix bug 674 - "QGraphicsScene::clear() is missing"

commit c8ecf9fea606679be567b9799fd6afb40a370564
Author: Jerome Leclanche <adys.wh@gmail.com>
Date:   Wed Feb 16 11:38:04 2011 -0200

    Fix bug 687 - "[PATCH] QUiLoader code example crashes"
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8f34f94da365825c2d21e02fb10a44d4cefb313b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 19:05:02 2011 -0200

    Fix bug 675 - "QGraphicsLinearLayout segfault"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7c606aeda23b4469ca924ebb974b1eac397ff0e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 16:38:53 2011 -0200

    Refactor to simplify code just avoding some Cism.

commit 0f29c21f6e9364593831c0d03693c36a2858dc0a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 16:38:21 2011 -0200

    Make PySide signals work with meta types.

commit f8482e43947d2e0f218db70deae26186077899e5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 15 16:37:16 2011 -0200

    Add unit test for bug 684.

commit 719b8f40e337edf57c6993c725ab5e71e329bc58
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Fri Feb 11 18:18:14 2011 -0300

    Raise error when slot argument is unknown.
    
    Instead of accepting it silently and generating potential
    segfault and undefined behavior, raise TypeError when
    the type of an argument is unknown to PySide type system.
    
    An example of such erratic behavior is in declarations like:
    
    @Slot
    def foo(self):
    
    Slots without arguments must be explicitly declared this way:
    
    @Slot()
    def foo(self):
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>

commit 03f4a7b08397045ab321d9ef6dd7ed2bf408b009
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 11 17:17:43 2011 -0200

    Fix bug 679 - "QWebPage miss extension function"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit c9dd530e71173a5c3673f9184495cbe8a30c9ce4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 10 20:16:58 2011 -0200

    Fix phonon compilation and detection of VideoCaptureDevice class.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit dae317b8314da6f0e594128b3b3fed01c448bbc9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 10 18:38:46 2011 -0200

    Fix bug 638 - "Documentation for phonon doesn't show class inheritance diagrams."

commit f5a70fbbc42fa7a6ac7a2644eb1ed2d8509bac5e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 10 18:35:36 2011 -0200

    Removed duplicated entry of QWebPage::ErrorDomain on typesystem.

commit 732183f1df8882e9ef05900bc2d874dd789522ce
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 16:39:49 2011 -0300

    Increments reference of None object on custom code for QState.addTransition method.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8d1d3957374b8e31c57c9719083c1dbcce9d3433
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Feb 10 14:01:59 2011 -0300

    Created unit test for bug #671.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 4b0ed850fcb8fbfafe6255e4989d41d19693ac25
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Feb 10 14:02:39 2011 -0300

    Appended the metaclass data flags value on head.
    
    Fix bug #671.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit e96cb16b14f7a5e3f122befa9abd697c497407ad
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Feb 10 13:05:24 2011 -0300

    Added QCursor test. It is related to bug #630.
    
    Bug #630 - Fails to resolve overload for QCursor(QBitmap, QBitmap, int, int)
    http://bugs.openbossa.org/show_bug.cgi?id=630
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 00f696e3c7305a9283932be00af6cb72f7268f3b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 18:24:26 2011 -0300

    Fixed function 'QToolBar.addAction' to support callback in the
    arguments.
    
    Create unit test for bug #635.
    
    Fixes bug #635.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit efad1c8b8cd10ad43207610ca7837308f4c024da
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 9 18:03:09 2011 -0200

    Fix bug 668 - "QFileSystemModel setRootPath stops application from quitting."
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 079e6beb2d5152f33deb6c2c5144cbed302752a9
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 18:43:13 2011 -0200

    Replaced all entries of reference-count with action=add to action=set.

commit cc695f88bd82e26e957ce3633fc8d8c042a12b44
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 16:10:24 2011 -0200

    Fix bug 663 - "Crash on exit when passing QNetworkAccessManager around"

commit 287fd9d6499a7bf49ba42e6491f30406ea78ac68
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 16:10:03 2011 -0200

    Remove invalid function removals.

commit 3c31d96eed51265fd769235d365c27e45b2c66ca
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 15:52:02 2011 -0200

    Fix bug 667 - "Crash on exit"

commit 280d68ca34debebfeb9172420598a15ba576eb7e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 8 14:35:38 2011 -0200

    Fix QGLBuffer::map code injection and test.

commit 8cb71269c6273133710cfee3759cbbbf20ec6292
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 18:05:20 2011 -0300

    Updated phonon typesystem to use the new pyside cmake macro syntax.

commit 8c29de6075710febdeafaa8c3c78d6c085d5f757
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 15:49:45 2011 -0300

    Updated http server used on tests to keep trying until get a free address.

commit f81fc0390a48512f8e7d95695c2a1e43c49ce573
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 14:21:30 2011 -0300

    Created unit test for bug #662.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit bd26ec914fc417d535c129f46ca54f85e42982bf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 14:13:46 2011 -0300

    Implemented support for iterator on QTextBlock.
    
    Fixes bug #662.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit a1d4eb3d867a4434db076b572d615f028000a9d5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 9 12:26:23 2011 -0300

    Fix append object description on typesystem only when this was found.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 811e37c378ee12dca738e57c640385c9e0546355
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Feb 8 11:57:59 2011 -0300

    Separated class typesystem from the main typesystem.
    
    Remove class specification,  detected during the compilation from the
    main typesystem to avoid errors during the generation.
    
    Fixes bug #661
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 9386dd0452eb72c0940f14756254c4e14ac76415
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Feb 7 18:44:25 2011 -0300

    Updated translation test to use previous generated qm files.
    
    Upload qm files used on test to git.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 5d4af8f96b998af696cbf2a4518cc050f60f78b9
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Feb 7 18:02:19 2011 -0300

    Updated http server used on unit test.
    
    Allow the server to reuse the address to avoid errors.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 1155542ecca6ab5d8ee00aececae453d980ac690
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Feb 4 19:07:04 2011 -0300

    Created unit test for signals.
    
    Test for types inside of namespace
    Test for types defined by typedef.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 4ebad6745f9c85dd4f074fe328e0dd36ca8d6c18
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Feb 4 19:06:34 2011 -0300

    Fixed problems to emit signals with objects types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 44998fd471927efb8c7a55e5bd7b81bad9f6e876
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 4 18:24:07 2011 -0200

    Fix 666 - "QByteArray does not support slices"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 59c882566be0d58c256f715ce675f10f3181ccc3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 4 17:42:38 2011 -0200

    Fix bug 660 - "QMimeData type deleted prematurely when overriding mime-type in QStandardItemModel drag and drop"

commit 34529760f4766a84a7dbb8f32c776abfe9c4fdda
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 4 15:32:55 2011 -0200

    Fix bug 643 - "QTabWidget.insertTab not taking ownership"

commit 93bd129cfb95aefb1fbbfbaeb4da614c95dce1d6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Feb 4 16:05:12 2011 -0300

    The global header for PySide is now installed with the libpyside headers.
    
    This is good for PySide derived bindings (like the ones for QtMobility),
    so they don't need to copy the PySide global headers to their source
    tree and end up with an outdated file.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 8a628bf8324ac79b7651b870c18813aec3320d7f
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Feb 4 15:00:02 2011 -0300

    Removed unnecessary line from test binding CMake file.

commit f8e6845c81c9e189a0babecafc8b2e224c19f7d4
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Feb 4 15:12:29 2011 -0200

    Fix qresource_test openning the file in binary mode, so it doesn't fail on windows.

commit 143e81278c6d2337e7ff64baaec00d14e3df5841
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:31:39 2011 -0200

    Export QTranslator::translate and QTranslator::load.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit c662028d3dbefcfb0abc2090ec6df3d4915bb1a6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:24:39 2011 -0200

    Export method QCryptographicHash::addData.

commit 0fd98c95cab100824d8f6e5712714061e0e37684
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:23:03 2011 -0200

    Remove some ancient method removals from QtCore typesystem.
    
    - QDir(QString,QString,QFlags<QDir::SortFlag>,QFlags<QDir::Filter>)
    - QBitArray::fill(bool, int)

commit 4475f30d7a8dc0266b9a26a4dbde188838a1f0e1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:22:21 2011 -0200

    Use PyString_GET_SIZE instead of PyString_Size on some inject codes.

commit 8994866ef2eaf36f2f21fe93d61c66097a27b29e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:20:52 2011 -0200

    Export QSettings::iniCodec and QXmlStreamWriter::codec methods.

commit ae2019a4da7da95693023db78bef8adb07afe615
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:18:32 2011 -0200

    QPersistentModelIndex now have the same implementation of internalPointer of QModelIndex.

commit 13a6cba842c15bd28dd0d9626789fa2987e4a236
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:15:38 2011 -0200

    Fixed/implemented various QResources methods.
    
    - data() is now exported and returns a Python read-only buffer object.
    - (un)registerResourceData now accept buffers as arguments, and respects zeroes in the middle of data.
    - Improved unit test.

commit 702cd168e1af7ef854aad7091529e4ce6e9df833
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 18:04:16 2011 -0200

    Fix comparisson of QByteArray with Python strings that have zeroes inside.

commit 4f4abdb2be8417ae5f75340e673341a833b9a14c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Feb 3 16:02:14 2011 -0200

    Added comments to some function removals.

commit a54d0181bdcd3dfbd3e1df2814a23124acc95ee1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 2 19:21:16 2011 -0200

    Fix bug 653 - "Crash after calling QWizardPage.wizard()"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit fac9507d3eccfe6c46462496be1e9991312ea644
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 2 16:24:23 2011 -0200

    Fix bug 652 - "Segfault when using QTextBlock::setUserData due to missing ownership transfer"

commit a7e1ccf1272710a429a031b26ff8d177842895ef
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Feb 2 16:13:31 2011 -0200

    Removed the removal of some QApplication functions.
    
    These functions were removed due to ancient bugs in shiboken
    generator, all them now fixed.
    
    Functions:
    
    font(const char*)
    setFont(QFont,const char*)
    palette(const char*)

commit 845679929a848dc3c0599b0c1f2281e15ca7faf4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Feb 2 15:16:38 2011 -0300

    Bump version to beta6.

commit a544dac9593fb03f30a09eba2513b17dac3ef97e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Feb 1 16:17:24 2011 -0300

    Fixed Cmake files used to find the library after the installation.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6b6527e74b7d9a15ed60c543e8834d672c7f8a8d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 1 19:34:23 2011 -0200

    Fix bug 650 - "Missing bindings for QNetworkProxyFactory"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 82e9d146016da82c8fab15aacb05e627b5cc5281
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Feb 1 19:15:23 2011 -0200

    Fix bug 651 - "Calling disconnect() with no arguments causes segfault"

commit 4551b2421c47d2bba261b2202b019e6cc8a4af28
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Feb 1 15:48:42 2011 -0300

    Updated QAbstractItemModel.createIndex documentation to warning about
    ptr argument life time.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit fd8b33616fe6a1c5ceaa0b227843d65f2d1eeae6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 31 15:46:23 2011 -0200

    Fix bug 656 - "cannot inherit from QCoreApplication"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit c89f03fe396278de485dbbebe681b33fc3e91427
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 24 15:52:18 2011 -0300

    Updated GeneratorRunner calls on CMake files to use "--generator-set" instead of "--generatorSet".
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit c4ba32827072011e5d7ebea77098339c032f3d5a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 28 19:19:38 2011 -0200

    Don't crash if a typeId was not found when emiting a signal.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 10b81cd4368535b26d7c2bdc61c84d0cac64348a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 28 19:15:06 2011 -0200

    Added test for bug 613.

commit 279fb0242963caf5a03ea30d6cde5f10d3387f7b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Jan 28 16:28:17 2011 -0200

    Fix bug 565 - "QImage missing *data constructors"
    Fix bug 566 - "'PySide.QtGui.QImage' object has no attribute 'scanLine'"
    
    The constructors now accepts any PyObject which implements the buffer protocol, as the
    C++ and PyQt4 version the buffer must be alive during the life time of QImage because QImage
    *does not* copy the image data.
    
    scanLine() and bits() now return buffer objects pointing to the memory inside QImage.

commit 9c7d055f3d6f7f93f66ed977ca480979b445fcb8
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 28 18:02:20 2011 -0300

    Implement __repr__ function for class with Float attributes.

commit f3bcaf31a85dbd07ef5fcb47fe582dc3ecedf8b1
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 28 15:58:21 2011 -0300

    Created unit test for bug #617.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 6c3258cc03c3069231c904f3d0b4b59eaafb2074
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 26 15:22:38 2011 -0300

    Created __repr__ function unit test.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 16c3baa45401a915713b0b6201edf4f5c72822ab
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 26 15:21:37 2011 -0300

    Implemented fuction __repr__ for base types.
    
    Fixes bug #593
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 494828092bc5f7853b4e63a6f94dfed8253115b5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Jan 25 16:48:55 2011 -0300

    Fixed QFileDialog function calls with options in the last argument.
    
    Fixes bug #590
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dc661c9e6527d04604d42e234dd6ba46a8f9c879
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 25 14:24:27 2011 -0200

    Add test for bug#640.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 9c7755b08018b1e71d7895e20f91f848152ffe9d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 24 18:18:45 2011 -0300

    Implement support to others color spec on deepcopy function.
    
    Created unit test QColor reduce function.
    
    Fixes bug #612.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a51b488ca06d412c7071f4f44e556d45b022ec81
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 15:20:53 2011 -0200

    Fix bug#633 - "bool of null QDate (possibly other empty QString/null QObj types?) returns True for empty instance; probably should be False"

commit b66595efa544b2675fef7ec2c6832dba5d8c1177
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 24 11:13:27 2011 -0300

    Fixed QLineEdit.getTextMargins return value.
    
    Fixes bug #632
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f2cce0a1b594efc6edf901848a609f3f7209e870
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 24 10:23:30 2011 -0200

    Fix bug#636 - "Unable to navigate back to the main site from the generated documentation"

commit 1af49e5713f05a116de946afe152015d41813eab
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 21 16:14:58 2011 -0300

    Bump version to beta5.

commit 6f92863aa088f49d6023ca55d693a29322a8c0b2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 21 14:35:31 2011 -0300

    Updated generatorrunner version dependency.

commit 6a87db2791fd5b9313379e75a2a3551c8697be9c
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 20 17:27:53 2011 -0300

    Replace use of QMetaObject::activate to QObject::qt_metacall.
    
    This is necessary to support signals with default values.
    
    Fix bug #624
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit da8c292b69c53f0a16bc405ed590ce5d4ecacf9b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jan 20 15:57:48 2011 -0300

    Added test cases for signal emission.
    
    Signals are emitted from C++ and Python.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4a2bfc9239c13272478185ce056e481d7aa1106b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 18 16:59:06 2011 -0200

    Fix bug#552 - "Segmentation fault when using QUiLoader and QTabWidget"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e9d1dc38e2940a2b25e8eb1060a4945f2c20b04c
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 20 15:17:00 2011 -0200

    Use the same Python used by Shiboken instead of find a new one.

commit 810207dfe43140dddbebea5f1069a3d90fd1dc7a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 18 17:23:02 2011 -0200

    Don't reject QGLWidget::setMouseTracking function.

commit a3cf9b0a3cdf5ced4a12e44240c84ef8696a222b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 18 17:22:03 2011 -0200

    Fix bug#623 - "QGLWidget.bindTexture(QPixmap, GLenum, GLenum) is missing"

commit 3e0b9e52deae29e6e7e463603db9a5f5847e826a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 19 13:46:40 2011 -0300

    Added test for module reloading.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4f72f1d3686a1bf3a249b5b3265d8e10e24014cf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Jan 18 14:42:02 2011 -0300

    Fixed Widget and Layout inject code to avoid problems in armel arch.

commit f0181b754558580b90dae8868cb812fa0f6e4322
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 13 15:03:16 2011 -0300

    Created unit test for bug #575.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 70d4b7c6adea10c807deee659b875fb31de7f46c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jan 14 15:18:51 2011 -0300

    Updates documentation of QUiLoader.registerCustomWidget method.
    
    The new documentation highlights the danger of duck punching virtual
    methods of widget objects produced by QUiLoader.
    Also named the argument of QUiLoader.registerCustomWidget as
    customWidgetType.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 6d379db301e5cb604fa208e93c4938e81a554647
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Jan 14 16:57:23 2011 -0300

    Named the single argument of all "QWidget.*Event(arg)" methods as "event".
    
    Just to make the generated documentation more readable.

commit 7e4a01a4b9a0ff4b34fe50a870091bdc76689acb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jan 13 13:13:39 2011 -0300

    Fixed style on QUiLoader code snippet.

commit b57192c596230ef8fb6a9cb1fe51d3a72e719e4f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 13 17:51:14 2011 -0200

    Fix bug#584 - "python pickle module can't treat QByteArray object of PySide"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit d9940e55a41b83d30ce41e8002f614bfe16d54bf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 13 13:51:51 2011 -0300

    Fix typo on Cmake files.
    
    Reviewer: Bruno Araujo <bruno.araujo@openbossa.org>

commit 776b41613d765bbeae21ff8626ebbccfbd1e35d3
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 12 15:45:35 2011 -0200

    Removed useless rejections
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 4587eec6cb142f4fd3d6f302b4ee840c3cc77886
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 12 14:56:56 2011 -0200

    Remove protected fields of event classes.
    
    Event classes have a lot of non-documented protected fields, those fields
    are removed from PySide because they are Qt implementation details,
    besides the fact they are accessible by ordinary event methods.

commit bcad6d0392ace27a9a4acb0097f2e170cb5f6e21
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 12 12:31:59 2011 -0200

    Fix documentation for QWidget.winId()

commit a24e8ed2811a9d4f116d3c2e05721a4e47b7a09f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 11 15:17:56 2011 -0200

    Don't crash when a unknown type is given as a meta call argument.

commit 67f0db5a2b6ad96d41bda2b96112bba3cba55862
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 10 17:52:37 2011 -0200

    Add  polymorphic-id-expression to QGraphicsObject and QDeclarativeItem.

commit f98566eebd41613236ad88b7aba676d4b081bb12
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 13 10:29:49 2011 -0300

    Fixed path to include file used on cmake files.
    
    Reviewer: Bruno Araujo <bruno.araujo@openbossa.org>

commit 3ac4080bfe3052b8ee805a0a983a68cf142241b2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 12 19:26:27 2011 -0300

    Create a new parent test.
    
    Check if the parent does not increase the reference if you set the
    parent twice.

commit 7e667036d58a0549dd08a152149e1ba1f410bfb7
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Jan 11 17:58:52 2011 -0300

    Use python base name as library prefix.
    
    Use the same CMAKE_BUILD_TYPE as shiboken if none was specified.
    Append SHIBOKEN_PYTHON_BASENAME in the library suffix.
    
    Fix bug #509.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 99cbdef40cda9379651951d0f187fbba6e829ae1
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Jan 11 18:53:06 2011 -0300

    Added test for QPainter.setPen() method.
    
    Calls it with enum, to call the setPen(Qt.PenStyle) signature, and with
    an integer, to call the setPen(QColor) signature (QColor is implicitly
    built from an unsigned int in C++).
    
    For more details see Bug #511:
    http://bugs.openbossa.org/show_bug.cgi?id=511
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 64a35df0c16663bea2693701f576005e2f8ebb4c
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 10 15:26:54 2011 -0300

    Added condition for a phonon test that fails on Win32 with Qt 4.7.1.
    
    This is due to a bug on Phonon::createPath that happens with the
    specific combination of Win32 platform and Qt 4.7.1. The bug is reported
    as fixed for Qt 4.7.2, but it wasn't released yet.
    
    For more details on the bug:
    http://bugreports.qt.nokia.com/browse/QTBUG-13062
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 1caaffba59c8a6897d58e7682842f4b4a86405f2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 7 18:58:40 2011 -0300

    Created unit test for bug 589.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f4f48519ec2dade5a016b87bc089e90a0caf71a4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Jan 7 18:58:15 2011 -0300

    Fix Qvariant to Cpp conversion.
    
    Fixes bug #589
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4c79d1e8cd54b3bf7dc0d2ea3d5f5b000a862fc7
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jan 6 20:56:14 2011 -0300

    Fixes the fix in the commit a1cf8f03.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 36b7f922b2de2bffc80b60e9a8e1536083c2cad6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Jan 6 19:30:03 2011 -0200

    Fix bug#560 - "Lack of QtCore.Signal documentation"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit ece91be2e6ab129085d372ce3aac08d4073b42ec
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jan 6 18:45:44 2011 -0300

    Fixes connecting signal to decorated slot.
    
    Decorated methods on classes derived from QObject are not called when
    connected to Qt signals because they get a name different from the
    decorated method. To solve this decorated methods are registered as
    global slots.
    
    An unit test was added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 42e52dec9cd5db837a9fda2663b9c873dac1cd7b
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Jan 6 16:23:16 2011 -0300

    Refactoring to Phonon basic playing test.
    
    Also replaced the ogg audio tone file for a wav one.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 44b71a0ff22cf724b394003131b344ff013a0886
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Jan 5 18:54:02 2011 -0300

    Fixed PATH variable for tests on win32 platform.

commit b6343a7674347d1ddae27f61965eb83dd5b2223b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 6 13:32:35 2011 -0300

    Created unit test for bug #585.
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5985c015b2b7efe3dad01e37b869a765dd1b8588
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Jan 6 13:32:55 2011 -0300

    Fixed QTreeWidgetItem.parent function policy.
    
    Fixes bug #585
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit adb9268807aca51c9332e266d6649005c5e9577f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 5 19:11:53 2011 -0200

    Only try to play the ogg file if the system has the capability to do it.
    
    This fix a failing test on macosx.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit e4eaf410aff780efc4e7f5bc693a7b031938d1c5
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 5 14:42:39 2011 -0300

    Fixed QtNetwork test to use '127.0.0.1' instead of 'localhost'
    
    This is necessary to make all test to be able run on any buildbot machine.
    Fix Http server shutdown sequence to avoid deadlocks.
    
    Fixes bug #587
    
    Reviewer: Hugo Parente Lima <hugo.lima@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit cfeea7ec045c1f9e7d4652ed2f672db2977de3a8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Jan 5 14:10:38 2011 -0200

    Fix bug#557 - "Segmentation fault in QDeclarativeComponent.loadUrl()"
    
    The signature QDeclarativeComponent(QObject*) should not exist, it's not
    documented and just creates a useless QDeclarativeComponent when used,
    useless in the sense that it will segfault when used.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit bcb6a2eb75a85cba86c92ccb61ae6e34123758ee
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Jan 5 08:48:23 2011 -0300

    Fixed QWidget.setParent signature on typesystem.

commit aa305dc5ae5f463c31938fb50cd92257b0fc7911
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 4 18:46:40 2011 -0200

    Lock the gil on some hand written code to avoid crashes.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f7fd9277f47359f8eb4490bcb8f5bdc84000035e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Jan 4 18:32:24 2011 -0300

    Fixed function QDataStream.readRawData return value.
    
    The function readRawData now return None in case of error, otherwise a
    string with the read data.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 4351b2e5133e89c02ff26ecbf0f7df6e902efc64
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Jan 4 13:25:05 2011 -0200

    New format for __version_info__.
    
    The new format follow the same rules used by sys.version_info().
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit cc7d8dd1386138a5e88afe64664f51c33aad2f56
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 3 19:54:40 2011 -0300

    Created support to function qAddPostRoutine.
    
    Created unit test for bug #515
    Fixes bug #515
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 1f1f82d5827c3ec77fcd4ee6b6ab47afa0473007
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Jan 3 16:38:30 2011 -0300

    Added test case for Bug #572.
    
    Bug #572: Giving unicode value as 'body' argument to WebView's load
    method crashes python.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 7a3e7b6f86a514c661bf61c65d1098339e4ffba3
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 3 14:21:40 2011 -0300

    Fix QTreeWidgetItem.parent function.
    
    Create unit test for new use case.
    Fixes bug #547
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 1ed2877743ce786e1d71f804f1b4aa4f433aa4be
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Jan 3 14:24:19 2011 -0200

    Fix bug#577 - "Reference to QString in docs"

commit 1af0e9f4fe50537d18c07cfa05578d3242ce21c9
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 3 13:43:29 2011 -0300

    Fixed QWidget.parent function.
    
    Create unit test for bug 576.
    Fixes bug #576.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ba00068ce161bba9c62c0784876bcb38d252cd98
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Jan 3 11:28:02 2011 -0300

    Avoid conflict in test case names
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>

commit 814b80f42352199915a13a61280dfe62b8763670
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Jan 3 10:01:04 2011 -0300

    Fixed test to work in all platform.

commit 9e6762eeb050496f74fdafa1325dd294bf564ce1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 30 16:36:23 2010 -0200

    Fix bug#514 - "Static method QByteArray.fromRawData is missing from QtCore"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 394cdb357d88e4c6968d3986ca7820756661fa35
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 30 15:26:20 2010 -0200

    Fix bug 546 - "Python crash on exit"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 9b02c46c03a3e246146ccd5b63fda8cb0335aac7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 29 18:57:58 2010 -0200

    Fix bug#493 - "__eq__ and friends not implemented for QKeyEvent == QKeySequence"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ecb060f85c3de21b6f2e6ea94417685307252791
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Tue Dec 28 21:18:26 2010 -0300

    Improve QtScriptEngineDebugger test behavior
    
    The extra ContinueAction after evaluate() was crashing
    on MacOS X.
    
    Reviewer: Hugo Lima <hugo.lima@openbossa.org>
    Reviewer: Renato Araujo <renator.filho@openbossa.org>

commit 1d05357e2657df96b16b5cb4f2e9cc2b6ca73d2b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 29 11:55:09 2010 -0300

    Changed api2 test to work on MacOS during a ssh session.

commit d8f3b9629a6b1f1ab91516fdc144eb4fd80e5128
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 18:53:06 2010 -0200

    Fix bug#569 - "QTableWidgetItem is missing binding of __lt__ to operator<"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 92b893c53242a191b76291f8fb0ce68fd284c115
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 14:50:46 2010 -0200

    Fix bug#563 - "Unhandled signal emitting with invalid signature (which leads to application crash)"

commit 6d18229268b42db54824cc277e339bac34ad3404
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 28 12:21:50 2010 -0200

    Changes the arg name from p to parent to make parent heuristic work.

commit 40f5c3ce0e88a54bf8b838b4951a23a3e147fd5a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 28 19:43:51 2010 -0300

    Fixed MetaObject creation based on typename.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 6849ba0864c245e15b5786d959b5afa730fb906b
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 28 19:43:00 2010 -0300

    Fix test to avoid problems on slow computers.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit c406547057691d758de8324ffb6fabff93e7f1fa
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 28 14:12:24 2010 -0300

    Appended ${QtGui_BINARY_DIR} on typesystem_path for QtMaemo5 module.

commit d96649862fff5ee8e22ac3f48c9a96fea04238bf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 28 14:09:16 2010 -0300

    Appended QtGui library dependency on pysidetest library.

commit 0029d0ef7e85cde40b945d6a55c321f459acda09
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 28 11:49:39 2010 -0300

    Test for QTDESIGNER before add QTUITOOLS.
    
    This test is necessary because the module QTUITOOLS uses some classes
    from QTDESIGNER.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Bruno Araujo <bruno.araujo@openbossa.org>

commit 97875193524f407ec4594969041d84f7aa8ec546
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 27 18:59:32 2010 -0300

    Fix QTreeWidget parent rules.
    
    QTreeWidget.clear() - remove all child ref from the current widget
    QTreeWidgetItem.parent() - use default policy for returned value
    
    Fix bug #547
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 949f6b52558e150f8727c1496167d67c1c0799ef
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 27 13:20:43 2010 -0300

    Removed some float comparisons from QColor test to avoid armel problems.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>

commit 85715f3fc3de87bfa4ac07f4d76f1b69bb012109
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 23 16:59:33 2010 -0200

    Fix bug#549 - "QGraphicsWidget::getContentsMargins() and QGraphicsWidget::getWindowFrameMargins() not available"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 09840da111e373ebde987cc5f34b89aa49ae3a55
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Dec 23 15:46:39 2010 -0300

    Used more common signature on function test to QList objects.
    
    Replaced "const QList<QObject*>" signature to "const QList<QObject*>&",
    more used on Qt code.

commit 3468d8f78e1b0b54124adbe9d21d097c064bb85e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 19:12:42 2010 -0300

    Fixed variable scope.
    
    This keep the QByteArray live during the use of your content.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit af6514a1e81cadbad1ac754ea362ec24e107efb9
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Wed Dec 22 18:11:26 2010 -0300

    Fix testbinding dependency
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
    Reviewer: Renato Araujo <renato.araujo@openbossa.org>

commit 2734efb6b704c53bab64168be49ce06d6b5a03da
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 16:14:47 2010 -0300

    Moved list_signal_test to pysidetest library.
    
    This isolate the test case, and avoid other problems with X during the
    buildbot compilation.
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit d3b630e1682c89ee427964d81c32219c14863b1d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 10:25:32 2010 -0300

    Fix the QtMultimedia/audio_test.py to accept computers with only null
    device.

commit cebdd1f4dcb057436878b60295684c24cb09f1d9
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 22 10:17:21 2010 -0300

    Avoid QMatrix test while gcc is broken.

commit 45edcc54a6215e161cc0c176daf5e3b4dc3aeaff
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 21 17:26:50 2010 -0300

    Used argument '-a' during the call of xvfb command.
    
    This argument allow the xvfb to find a free server number during the
    execution.

commit ed10989ff23d95d20f361944a6deffbeced63a0d
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 20 18:55:02 2010 -0300

    Fixed QtUiTools plugin.
    
    Removed use of static QString to store the class name.
    
    Fix bug #533.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 0d0cb0753edea1e209742c5777ca024b7a58b83a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 20 17:50:43 2010 -0300

    Added QSslCertificate to QtNetwork module.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3e66025bbb698ddd491d502bbb9f9483b17d82a0
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Dec 20 17:49:54 2010 -0300

    Fixed indentation mistakes.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 3f0291dfe49cdf15325600aba362a0fc5662d19d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Dec 21 12:17:56 2010 -0300

    Fixed global functions from QT_TR_NOOP and QT_TRANSLATE_NOOP family.
    
    These function just return one of their arguments as result, and the
    buggy implementation was forgetting to increment the reference count for
    the returned object.
    
    A new unit test was added.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 7771798cf27896c43054699c5f53468cd8bf14cf
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 19:37:35 2010 -0300

    Fixes bug #502.
    
    The ownership of the editor returned by the Python override of
    QAbstractItemDelegate.createEditor(...) is now transferred to C++.
    
    A test was added to simulate the situation that triggers the bug,
    instead of relying on an example with a view, model and editable cells.
    
    See: http://bugs.openbossa.org/show_bug.cgi?id=502
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 05d011ccfa3ad442adb3639f9db87d49dd346299
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 20 17:41:53 2010 -0300

    Fixed type system for TestView from pysidetest directory.

commit c350f418c7fc9650a89f5a9be29e7987927bdd9a
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 20 15:52:58 2010 -0300

    QObject.sender should not steal the returned object ownership to Python.

commit db35d78b27389be9794b620c95cd290bf98a93dc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 15:06:33 2010 -0200

    Fix bug#544 - "QtCore.QRect missing binding for method getCoords"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit a9424b314ef086262ec1cc4b62a733d0dd86aaf8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 13:47:41 2010 -0200

    Fix bug#481 - "mimeData() missing from QListWidget, QTreeWidget, QTableWidget"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 50db2f3b2ea800fdc3e197705c210ab7afcfb0de
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 20 11:18:42 2010 -0200

    Fix bug#558 - "print attribute of a QWebFrame cannot be accessed normally"

commit 4204a86b97c3ea37f284fc5a922ea8aa696f3ddc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 17 19:01:37 2010 -0200

    Fix QtMultimedia test to not fail when no devices were found.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 914398bbf3aad4b933b827b716c36377aa00f270
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 17 18:58:26 2010 -0200

    Add GLuint as primitive type.
    
    If we don't do that any function with GLuint will be rejected by
    the generator on Windows.

commit afd176ffaac193ab4b467efb4b7aa657909d92e6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 17 18:45:25 2010 -0200

    Use .pyd extension for pysidetest module on Windows.

commit 5c7d93abed7ce374c32fbf73b5fe4ee3e00b972b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 17 15:30:18 2010 -0200

    Fix QML tests on Windows.

commit 58d43d6de9fe449e2abacfd6eb5fedca06ad7ec8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 17 14:41:57 2010 -0200

    Fix compilation under MS Windows.

commit 803a2708402710b92cc5246931803c0c0144f01d
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 13:55:07 2010 -0300

    Added a call to QObject.metaObject() to check if a segfault is caused.
    
    This completes the tests for bug #507[1].
    
    Also removed an unnecessary commented line.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=507
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 7f42b68c29bc4e22add7d9bb1f7fbf98c99c88c0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 11:39:03 2010 -0300

    Fixed QML type registering test.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit 937b2cfc6d39b8fc915faec644b4c578ce3fadc5
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 17 11:28:01 2010 -0300

    Updated model/view test to follow changes in Shiboken/9459b9da commit.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>

commit d4318366f11c910edc9d305d1c9db3924677bf4d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 14 18:23:33 2010 -0200

    Fix bug#491 - "pyside doesn't respect BUILD_TESTS"
    
    Reviewer: Lauro Moura <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 42d887ff86c9eb56a721d7cb979c4242f4f4953e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 15 19:12:24 2010 -0300

    Fixed ownership of the value returned by QAbstractItemModel::data(...).
    
    The value returned by Python to the virtual method
    QAbstractItemModel::data(...) called from C++ has its ownership
    transferred to C++.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit ce42ea6eebacdc4ae3cef913d03d06dd77bb1516
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Dec 15 19:11:40 2010 -0300

    Updated the PySide test related to Python model returning data to C++.

commit 22b74854195c888b82b1f246d87e16ea18b2c978
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Dec 15 17:52:29 2010 -0300

    Created function used in PyObject getAttro.
    
    Moved the code generated to a function in libpyside.
    Create unit test for bug #525.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 0229e5413b18df40d76d152074e24a548fdbab69
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Dec 14 17:43:01 2010 -0300

    Created unittest for bug #505.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 26d2bd6a7c50f93ef61845e2c9751205a6c2f912
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 14 17:11:29 2010 -0200

    Fix bug#517 - "Documentation for QtDeclarative is not linked in contents.html, modules.html"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8974ff4abd320ad6089919010c08b4461ff8c11e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 14 16:25:21 2010 -0200

    Fix bug#508 - "qmltopy1 crashes when setContextProperty is called twice without keeping a reference"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 39d61bdc0565a5ce9ec301283a4485e43aaa1f62
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 14 15:56:05 2010 -0200

    Fix bug#518 - "The file 'genindex.html' is not found (linked from contents.html)"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit bdaed6a95a3e4edb20d8e02d8b429be0f4d8da5e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Dec 14 15:11:03 2010 -0200

    Fix bug#512 - "QGridLayout::getItemPosition() is not available"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 86b7d6e25c2612313da8a9193c90cc60728d3264
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 13 17:47:16 2010 -0300

    Added test for Python written models returning new objects without keeping reference to them.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    eviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit ee8d6262dcceb4d594a01623c947e9186e985221
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 13 15:19:57 2010 -0300

    Fixed new style signal connection tests for the proper semantics.
    
    One example to clarify: for the "destroyed(QObject* = 0)" signal,
    "obj.destroyed.connect(...)" connects to "destroyed()", and
    "obj.destroyed[QObject].connect(...)" connects to "destroyed(QObject*)".
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 02e4fa2b963b35d3a5cd737e3887938afb6da1e7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 9 16:13:39 2010 -0200

    Added unit test for bug#500
    
    Reviewer: Lauro Mora <lauro.neto@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 94d8426d1c47d6e761f07073b7e7c5960da9497e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 9 16:03:03 2010 -0200

    Add tests for qmlregisterType function and qml list properties.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a6955f9fed375c78d34de53ab00169257c61c114
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 9 15:28:01 2010 -0200

    Changed file permissions to 0644.

commit 3df02f96815b2183ff9b49db6e46db7700d5bc1e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 16:52:23 2010 -0200

    Add support for QML list properties.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 8252145146de231387173d9b7beac284159f4b61
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 16:35:45 2010 -0200

    Remove unused field "type" from PySideProperty private struct.

commit 621275639b45b36e64ad9a594be133fc9043c044
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 15:15:29 2010 -0200

    Replace useless check by a assert.
    
    QMetaObject must already be ready at this point.

commit b4d1a3a4b616dffcd41247dc5584846372083db6
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 15:06:52 2010 -0200

    Add support for extension into PySide properties.
    
    This is used by PySide implementation of QDeclarativeListProperty.

commit e76fffc6173a43189b6133873fcc8e310bf6aa48
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 8 14:54:21 2010 -0200

    Fix copyright year.

commit f5f2b23a70bb4dbd590cd24f28c0f5740e0f9ef6
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Dec 6 15:30:53 2010 -0300

    Fixes QImage constructor signature that used string buffer as image data source.
    
    The fixes uses the patch provided by Pieter Palmers on the bug #489
    description[1].
    
    A very simple test, to check the signature existence, was added.
    
    [1] http://bugs.openbossa.org/show_bug.cgi?id=489
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit edf5b58da83696ad908ac21b18bdd9a343d842ee
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 3 17:07:11 2010 -0300

    Added QRegExp.replace(QString, const char*) method.
    
    The only way to search and replace using QRegExp is using the
    QString::replace method. Since QString was removed, QRegExp now is
    useful only to search stuff, but not replace. For this purpose the
    QRegExp.replace method was added. The first argument is the string
    that will be operated over, the second argument contains the
    replacement, and the return value is a new modified Python string.
    
    Unit tests and documentation for QRegExp.replace were added as well.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 1c6fad98417ad5be5a4748ac865ed81f52b5d9c5
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Mon Dec 6 11:42:36 2010 -0200

    Avoid removal of qmlregistertype.cpp by the build system.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit f02876e6c9acecdd1f202aeb5c2721fde581a0ac
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 15:44:17 2010 -0200

    Initial implementation of qmlRegisterType.
    
    It's fully functional, but need some adjustaments in the build system that will be done in the next few days.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 8fb60373627f5d9978df2b9f38d0180f5897477a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 3 17:04:37 2010 -0200

    Set the object meta object at the declaration time, not instanciation time.

commit a29f511f6ded054550feea317f089ac77b6b4994
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 3 16:28:27 2010 -0200

    Moved pyside slot attr name do pysideslot_p.h.

commit d36b2398b8d9ddd76c669f24106cbe02eada1b57
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Dec 3 15:55:41 2010 -0200

    PySidePropertyPrivate struct moved to the private header.

commit 079e105618e8d3bff8515b8c993a2c68d04a92db
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Dec 2 18:43:37 2010 -0200

    Remove unused ancient proxyslot.cpp file.

commit 885386fdba018286912d7f3efb3da347e4c80a83
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Dec 3 10:48:08 2010 -0300

    Updates to more code snippets on documentation concerning QtCore module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 0220d7d1768353f062ef7af10845686f1327923e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Thu Dec 2 16:18:29 2010 -0300

    Updated a lot of code snippets on documentation concerning QtCore module.
    
    Reviewed by Hugo Parente <hugo.lima@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 9edc8a3834c9ba067b255b9996d59a473df6ef18
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 18:09:09 2010 -0200

    Fixed qt_metacall, now everything works as it should.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ec7b01c24f903925494fe21cc08b5c5111435daa
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Dec 1 15:34:44 2010 -0200

    Fixed dynamic meta object to avoid empty meta method.
    
    Empty meta methods cause a assert failure on QtDeclarative module.
    Also removed the scoped pointer to avoid heap allocation when it's not
    needed, as QByteArray is already implicity shared.

commit 52c2a2cd0d2571e5447f3c20c48626b685fc83d0
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Tue Nov 30 10:30:55 2010 -0300

    Add needed cast to compile using python versions <2.6
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 1079b1066cb60995da4913cdf3b25fb258334600
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 25 19:39:42 2010 -0200

    Fix doc generation after the refactor for v1.0.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit dadd07ccd733ce3d7eb27dcf08791fb256bcd981
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 25 16:00:54 2010 -0200

    Fix compilation on Windows.
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>

commit 91030433ced8aa59000de1465635dab528dbb36d
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 24 15:15:56 2010 -0200

    Fix bug#496 - "No binary read/write methods in QDataStream"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 47aa7189789b43be6c7fee10affc83966fbbab07
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 24 14:24:09 2010 -0200

    Fix crash at exit when there's a chain of referenced objects.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f31d9107555376e60757b9c8054030e2cf7bddad
Merge: e635023 a8ae068
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Nov 23 15:04:27 2010 -0200

    Merge branch 'apichanges'
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>
    
    Conflicts:
    	libpyside/pyside.cpp

commit e635023cdb91452e719f16afb70d3d19b01aed34
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Nov 23 12:09:22 2010 -0300

    Fixed layout ownership transfer.
    
    Fixes bug #480
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit abf841fbd3a28d16441ea076584d37b68659b288
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Nov 23 12:14:04 2010 -0300

    Created unit test for bug #480.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit a8ae0680f23ca5e702a662cf36a465b7a7b2788a
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Nov 23 14:37:16 2010 -0200

    Adapt to API changes in libshiboken.

commit ce1cadcacf01f4428f0f247dcd34ffdc38c9184e
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Tue Nov 23 11:34:11 2010 -0300

    Fixed GlobalReceiver destructor.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 276f260f65e07dfb9778ba8d069f18e070852528
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Mon Nov 22 16:35:23 2010 -0300

    Fixed unit test related to bug #446.

commit 934f291fd9ce8a14fcf75b167a592706dfbcb826
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Sun Nov 21 19:01:57 2010 -0300

    Separates QObjects with python ownership before start destructing then.
    
    This avoid list changes during the destruction.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit f7cb52d3822cb8d1897498cf04ca58813c530af6
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Sun Nov 21 19:01:11 2010 -0300

    Added reference to object which was exported to QML context.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit e12197e2822a8cca0022d0843057548246930c16
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Sun Nov 21 18:08:46 2010 -0300

    Fix generated property flags on metaobject.
    
    Fixes bug #478
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 3bc0d023c848be0d8e7e7337a92980647e11804a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Sat Nov 20 12:56:18 2010 -0300

    Fix setContexMenu function ownership rule.
    
    Fixes bug #441.

commit 783c146766383186034d67f88ea1061f5abddaaf
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 20:19:50 2010 -0300

    Created unit test for bug #446.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>

commit ff7f570599f88b022dffa9e80d9b28c2933cc053
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 20:18:55 2010 -0300

    Fixed codesnippte  about return of QAbstractSocket.read function.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>

commit c21497ec1a74552db43823857bec9bcdbb675038
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 19:30:22 2010 -0300

    Create unit test for bug #467.

commit 6cefd33cd08232b25a3b81d598b88ec47aa5aad2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 18:59:44 2010 -0300

    Fixed use of QtDeclarative include header to work with MacOS.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit ca0e17a45ed333c6b88f17df554757644d8041a4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 18:51:29 2010 -0300

    Fix typo on function call template type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit c9aef92cab51623aba0211c5805c88386c638e0a
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Fri Nov 19 15:02:42 2010 -0300

    Update to new Shiboken API (Renamed SbkObjectType)
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Hugo Parente Lima <hugo.pl@gmail.com>

commit 5e0550446c3546beb4a7076a80a7475b394567f4
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Thu Nov 18 11:02:03 2010 -0300

    Updated to new shiboken API.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 098946263932e115bdbca17eb51c3a27848435e2
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Nov 17 19:55:43 2010 -0300

    Fixed recursive call on duck punching test.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 43e499a4faf7c7cacdba026bc87eda24a7d02e23
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Wed Nov 17 19:43:33 2010 -0300

    Fixed unit test to avoid exit with thread running.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit dd8b0fcfe41222be0141e2b717bb6f6b4c6f7107
Author: Renato Araujo Oliveira Filho <renato.filho@openbossa.org>
Date:   Sun Nov 14 21:02:34 2010 -0300

    Created unit test for bug 462.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 71d279c0406030faa97927f510e2b2f802daf794
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 18 17:42:00 2010 -0200

    Uses QByteArray instead of QString to avoid data copy.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 090e4a6525c5469b2f257eb978ae74b1b8df5ffc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 18 17:38:43 2010 -0200

    Remove function deleteDynamicQMetaObject, use Shiboken::callCppDestructor<DynamicQMetaObject> instead.

commit 16913eedcec8c71b129dfcb029e0eb0fc50bb2a1
Author: Luciano Wolf <luciano.wolf@openbossa.org>
Date:   Wed Nov 17 18:58:39 2010 -0300

    Fix setLayout method that was causing segfault when itemAt wasn't implemented.
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 5a8efeb9df4271b0e1ec47bf231d2f23141d2375
Author: Mickaël <mickael9+junk@gmail.com>
Date:   Tue Nov 16 15:06:43 2010 -0200

    Fix bug#470 - "Object::connect: No such signal QTimer::"timeout()" when using QTimer::singleShot"
    
    Reviewer: Hugo Parente <hugo.lima@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit bd3efd2a0f39c7f0ec7be88672e30c332ac1d1fe
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Nov 16 13:12:21 2010 -0200

    Fix bug#471 - "QtCore.QObject is missing 'thread' method"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit d2e204f3df1c80112cf42bb117db81299f93f8cf
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Nov 12 19:09:44 2010 -0300

    Removed invalid test.

commit 968d376c5dde8e93d59867070fb7fd250c59aad3
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Fri Nov 12 18:50:40 2010 -0300

    Fix __init__.py and private.py install command.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit 178f81aa70711876fe492431ae32afa3538cf460
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Nov 12 08:52:09 2010 -0300

    Added PySide attributes to specify current version, and Qt version.
    
    Fixes bug: #454
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 655219636b1500e82d543914045f4cc7ba7db95f
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 11 17:45:16 2010 -0200

    Fix bug#436 - "Using a custom QValidator generates a segfault"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7013bd760e1ad46b31c019e0a11df504d6e2563e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Nov 11 14:04:06 2010 -0200

    Fix bug#455 - "QByteArray.data() cuts data to first '\x00' char"
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 2a4ee1675dd798d5a50363fb073e6801d45a8d17
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Nov 10 21:18:47 2010 -0300

    Removed unnecessary find_package statements from pysidetest's CMakeLists.txt
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit 41b6f14acbde484cad2c8b670e5a3556ec62d7cf
Merge: 23c1b92 2ef14fc
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 10 20:23:57 2010 -0200

    Merge branch 1.0 into master
    
    Conflicts:
    	PySide/QtCore/qvariant_conversions.h

commit 23c1b92073a25e23e2c3bdb2e1a758cfbb64fe79
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 10 20:01:04 2010 -0200

    Changes needed to compile PySide with libshiboken v1.0
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 2ef14fcc12f003620f85a30f6a4b00e8fee654d2
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 10 12:54:23 2010 -0300

    Created unit test for qvariant conversion for object type.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a623a57d0660e4490c370da7167db3a794f5162e
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 10 12:53:28 2010 -0300

    Fixed QVariant conversions for object types.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 92dcb7ae3a92416b4129d549625eba0512e02426
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Nov 10 17:22:32 2010 -0200

    Changes needed to compile QtCore with libshiboken v1.0

commit 66ff08586178ffb601fe874d48b9847fb577f513
Author: renatofilho <renato.filho@openbossa.org>
Date:   Tue Nov 9 22:36:11 2010 -0300

    Fixed QVariant conversions for user type.

commit c7f6b49e1e8df003f44528839f4b0438f155e8b1
Author: renatofilho <renato.filho@openbossa.org>
Date:   Tue Nov 9 16:07:47 2010 -0300

    Convert QByteArray values to string during function call.

commit 90bdf74053b18d92df0eed142fef39ce8a15d6b4
Author: renatofilho <renato.filho@openbossa.org>
Date:   Tue Nov 9 13:59:05 2010 -0300

    Fixed QVariant conversion to C++
    
    Now before convert from python object to C++, PySide check for a existent of
    metaType for any derived class.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 729d68b703a4b8998f5b796e2da1a4e9b113468e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Nov 9 09:58:00 2010 -0300

    Added test for Bug 452.
    
    Bug 452 - QListWidgetItem() not casting NoneType to null correctly.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 257e0cdf188172a9548e652ca5763bb124bb58ea
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Nov 5 16:34:11 2010 -0300

    Implemented PySideMetaFunction class used to call dynamic slots.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5371e403ffe741119ba0803077b772ca84f3fce3
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Nov 5 16:33:36 2010 -0300

    Created unit test for bug #451.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a029d217c2ae26aedb89e472ccdf61d20ec7fd26
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Nov 5 11:05:56 2010 -0200

    Fix bug#427 - "QSvgWidget, load from QtCore.QByteArray does not work"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 50f915572de1f6f492f80b2cfc8c8fedd9cdae6f
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 3 14:21:11 2010 -0300

    Fill the argument used on metacall for slot functions.
    
    Fixes bug #456.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 60f46e4ea698f03bb6bace050ed3b88eb5d04ac3
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 3 14:20:52 2010 -0300

    unit test for bug #456
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 17b0474ec7c5980380eacd0e4374941b0d1cd81d
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 3 12:12:46 2010 -0300

    Fixed return policy on QWebView.page()
    
    Fixes bug #448.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 7a6c33e90bea643da038f99d9fc74e3267998937
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 3 12:12:20 2010 -0300

    Created unit test for bug #448.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 1f2696e9e77ba252f023776972fbf253c2f7a203
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Nov 3 10:58:55 2010 -0300

    Fixed invalid call function.

commit e9b0f3e4ae9b1d9cd72003a40200d121e179269e
Author: renatofilho <renato.filho@openbossa.org>
Date:   Tue Nov 2 13:31:52 2010 -0300

    Fixed slot registration during the meta object constructor.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 5b0606009d478cf01d9b3d25110352823cdce0f4
Author: renatofilho <renato.filho@openbossa.org>
Date:   Mon Nov 1 11:04:56 2010 -0300

    Fixed metacall function adn PyGil state handle.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 4cd7a240d8db7de44b471a8ef0ed2f956addb743
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 29 18:53:42 2010 -0300

    Renamed qsignal, qslot, qproperty files to pyside*.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit c7945787c556d2e3e40a1b9ef93147c640ee8ff6
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 29 16:21:50 2010 -0300

    Created Singal/Slot/Property namespace for pure C structures.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Lauro Neto <lauro.neto@openbossa.org>

commit 62fd909705a4bf99590346712b040f7b40c9bb74
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 29 14:08:34 2010 -0300

    Created unit test for bug 428.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7a439f4d21b08b0ef9b7344ee61dd55f71b13ed6
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 29 09:47:41 2010 -0300

    Exported function to instantiate a signal object.
    
    Fixes bug #428
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 5944cc8d99d0c72cd87aa572224d3492e05c10eb
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Fri Oct 29 10:57:35 2010 -0300

    Added test for bug #428.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit a7d09741c2f4a094867a9729bbba82472aed0db1
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 29 10:52:50 2010 -0200

    Update package requirements.

commit bd8239b1cd99d25c26eb99a051072254342ab0bb
Author: renatofilho <renato.filho@openbossa.org>
Date:   Thu Oct 28 16:28:43 2010 -0300

    Stop signal/slot connection if is impossible to register that on object.
    
    Created unit test for bug #442, #437.
    Fixes bug #442.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit a1524b78b632d99aa6076391d0d77e46271dd7c8
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 17:32:33 2010 -0200

    Fix bug#409 - "function -- PySide.QtUiTools.QUiLoader.load(...) -- takes bytes-string (but not unicode-string)"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 22eab45ac999b03e2f30d2cf769d3f36450a05cb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 17:32:12 2010 -0200

    Remove whitespaces.

commit b9811b773a13f83d7d3cae793e04088915da988e
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 17:03:33 2010 -0200

    Fix bug#438 - "Can't find Python.h on OS X"

commit 42e83525db3da45b38b097825c736b2c733e9cf2
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 15:35:38 2010 -0200

    Fix bug#438 - "Can't find Python.h on OS X"
    
    Reviewer: Renato Araújo <renato.filho@openbossa.org>
              Lauro Moura <lauro.neto@openbossa.org>

commit 07b25e96864209358991682e4e26bea4c89e4f96
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 15:33:47 2010 -0200

    Fix typesystem to use argument tags instead of hardcoded variable names.

commit ec0d05f8589236865906faa30441bd04d56b4409
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 28 15:09:16 2010 -0200

    Fix crashes caused by the newer changes on shiboken generator.

commit 31a4f12f4cb358fa05726379c2a40106563e47ea
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 26 15:58:14 2010 -0200

    Fix unit test for bug 430

commit 363ecb3461c54451c4766202a2eaaf95326a9d39
Author: renatofilho <renato.filho@openbossa.org>
Date:   Thu Oct 28 11:18:11 2010 -0300

    Implemented Signal constructor base on QMethod list.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit ff03bd56ffd25c7f5f600772b393ce660494a351
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Oct 27 17:25:50 2010 -0300

    Updated SignalManager to new TypeResolver api.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 631f296b188737477aba4c4dd7af57c356db16c4
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Oct 27 17:24:27 2010 -0300

    Updated QtXml and QtXmlPatterns typesystem.
    
    Move some value-types to object-type because these classes use QScopedPointer without assigner operator.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 7c6595c9264e6d21e715f0697a3b9a402828a5fb
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 26 15:24:48 2010 -0200

    Uses python include path provided by Shiboken.
    
    Reviewer: Marcelo Lira <marcelo.lira@openbossa.org>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 38bef241a99012002459828d34a1cae4e72f11f0
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 26 13:46:47 2010 -0300

    Removed AVOID_PROTECTED_HACK section from CMakeLists.txt.
    
    It was moved to the Shiboken cmake configuration file.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>

commit b0e9403d48c4c7a21ae8d7e2eaf26d712a835556
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 25 18:23:03 2010 -0300

    Updated PySide cmake files to use Python library information from Shiboken.
    
    Shiboken cmake files provides information about which Python library to
    link against through cmake SHIBOKEN_PYTHON_LIBRARIES variable. It also
    sets the Py_DEBUG flag if necessary.
    
    Reviewed by Lauro Moura <lauro.neto@openbossa.org>
    Reviewed by Renato Araujo <renato.filho@openbossa.org>

commit 720c76980dedd51abee7f182bd261a9ce5405a5e
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Mon Oct 25 16:58:03 2010 -0300

    Modified cmake files to make use of debug information provided by Shiboken.
    
    In summation, PySide is compiled for debug if the libshiboken is
    compiled for debug.

commit b7f36fec396631cf61ecc801e55df73a2ef55857
Author: Lauro Neto <lauro.neto@openbossa.org>
Date:   Mon Oct 25 18:12:45 2010 -0300

    Remove releaseWrapper as Signal tp_dealloc
    
    It was being called when the Signal was garbage
    collected, resulting in a segfault.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewer: Renato Filho <renato.filho@openbossa.org>

commit a82deb1de29320159c8614c2c62c96e176d32771
Author: renatofilho <renato.filho@openbossa.org>
Date:   Mon Oct 25 20:28:49 2010 -0300

    Moved QML enum from QtCore to QtDeclarative typesystem.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 78ab6c87ea27bf6f21d5144a2df5f977b90f7940
Author: renatofilho <renato.filho@openbossa.org>
Date:   Mon Oct 25 20:13:28 2010 -0300

    Fixed plugin compilation problems on MacOS.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 77a1654ad587241d3c14bafa2c0deae53e1599ee
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Fri Oct 22 17:28:43 2010 -0200

    Fix bugs 430, 426, 429, 394, 433.
    
    These bugs are about QApplication instance being destroyed  before
    some QObject.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 800fb4613cb61dbff33750ec0ab4b18ca3369c6c
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 22 16:20:58 2010 -0300

    Put signals register before property registration.
    
    Reviewer: Hugo Parente Lima <hugo.pl@gmail.com>
              Luciano Wolf <luciano.wolf@openbossa.org>

commit 76fa1124908009ec1eaab0960dd542d6cc0e2c66
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Wed Oct 20 16:32:14 2010 -0300

    Fixes to libpyside pkg-config and cmake files.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 8e1e25a631d3e697ea795d66c8ed7e8fbbf7c6dd
Author: renatofilho <renato.filho@openbossa.org>
Date:   Fri Oct 22 14:25:37 2010 -0300

    Fixed type translate on QProperty.
    
    Fix bug #431
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit d094064ffeec72eaf75fcaa9e23ecab6506d346b
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Thu Oct 21 18:10:54 2010 -0200

    Fix bug#420 - "Memory leak in setText"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 26750d345c61148d45b500e891b970b8e4e79661
Author: renatofilho <renato.filho@openbossa.org>
Date:   Thu Oct 21 13:15:04 2010 -0300

    Implemented support to notify argument on Properties.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 4f1a11b61f1488921eb2d5de339d92afec8fbc9f
Author: renatofilho <renato.filho@openbossa.org>
Date:   Wed Oct 20 13:51:28 2010 -0300

    Create private data structure to QProperty type.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Marcelo Lira <marcelo.lira@openbossa.org>

commit 5100b62bdca70d48d5d441cc33ca941053ae1551
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Wed Oct 20 12:05:41 2010 -0200

    Replace code injection by typesystem commands.
    
    Related to bug#418 - "tag parent does not work in constructor modify"
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>
              Renato Araújo <renato.filho@openbossa.org>

commit 97de7750eecb3341f4999cb3f5ae1b2576cae2e7
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 19 18:47:24 2010 -0200

    Fix inject conversion rule used to fix bug408.
    
    Reviewer: Luciano Wolf <luciano.wolf@openbossa.org>

commit cc7a2018b52c9191a37f4f1220b2e57b1fbe0d97
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 19 18:13:22 2010 -0200

    Added d-pointer to PySideSignalInstanceData struct.

commit e733c2b11bbe60036f4e10bff8f07ef328223cce
Author: Marcelo Lira <marcelo.lira@openbossa.org>
Date:   Tue Oct 19 18:09:53 2010 -0300

    Added test for bug #395 - error calling QPainter.drawLines overloads.
    
    Reviewed by Luciano Wolf <luciano.wolf@openbossa.org>
    Reviewed by Renato Araújo <renato.filho@openbossa.org>

commit 4a638ed6347ebe82c9093b1bb229f062a703a6a8
Merge: ae942fd c86a509
Author: Hugo Parente Lima <hugo.pl@gmail.com>
Date:   Tue Oct 19 17:20:10 2010 -0200

    Merge remote branch 'mainline/1.0'
    
